import { ChimeClient } from "./ChimeClient";
import { AssociatePhoneNumberWithUserInput } from "./types/AssociatePhoneNumberWithUserInput";
import { AssociatePhoneNumberWithUserOutput } from "./types/AssociatePhoneNumberWithUserOutput";
import { AssociatePhoneNumbersWithVoiceConnectorInput } from "./types/AssociatePhoneNumbersWithVoiceConnectorInput";
import { AssociatePhoneNumbersWithVoiceConnectorOutput } from "./types/AssociatePhoneNumbersWithVoiceConnectorOutput";
import { BatchDeletePhoneNumberInput } from "./types/BatchDeletePhoneNumberInput";
import { BatchDeletePhoneNumberOutput } from "./types/BatchDeletePhoneNumberOutput";
import { BatchSuspendUserInput } from "./types/BatchSuspendUserInput";
import { BatchSuspendUserOutput } from "./types/BatchSuspendUserOutput";
import { BatchUnsuspendUserInput } from "./types/BatchUnsuspendUserInput";
import { BatchUnsuspendUserOutput } from "./types/BatchUnsuspendUserOutput";
import { BatchUpdatePhoneNumberInput } from "./types/BatchUpdatePhoneNumberInput";
import { BatchUpdatePhoneNumberOutput } from "./types/BatchUpdatePhoneNumberOutput";
import { BatchUpdateUserInput } from "./types/BatchUpdateUserInput";
import { BatchUpdateUserOutput } from "./types/BatchUpdateUserOutput";
import { CreateAccountInput } from "./types/CreateAccountInput";
import { CreateAccountOutput } from "./types/CreateAccountOutput";
import { CreateBotInput } from "./types/CreateBotInput";
import { CreateBotOutput } from "./types/CreateBotOutput";
import { CreatePhoneNumberOrderInput } from "./types/CreatePhoneNumberOrderInput";
import { CreatePhoneNumberOrderOutput } from "./types/CreatePhoneNumberOrderOutput";
import { CreateVoiceConnectorInput } from "./types/CreateVoiceConnectorInput";
import { CreateVoiceConnectorOutput } from "./types/CreateVoiceConnectorOutput";
import { DeleteAccountInput } from "./types/DeleteAccountInput";
import { DeleteAccountOutput } from "./types/DeleteAccountOutput";
import { DeleteEventsConfigurationInput } from "./types/DeleteEventsConfigurationInput";
import { DeleteEventsConfigurationOutput } from "./types/DeleteEventsConfigurationOutput";
import { DeletePhoneNumberInput } from "./types/DeletePhoneNumberInput";
import { DeletePhoneNumberOutput } from "./types/DeletePhoneNumberOutput";
import { DeleteVoiceConnectorInput } from "./types/DeleteVoiceConnectorInput";
import { DeleteVoiceConnectorOriginationInput } from "./types/DeleteVoiceConnectorOriginationInput";
import { DeleteVoiceConnectorOriginationOutput } from "./types/DeleteVoiceConnectorOriginationOutput";
import { DeleteVoiceConnectorOutput } from "./types/DeleteVoiceConnectorOutput";
import { DeleteVoiceConnectorTerminationCredentialsInput } from "./types/DeleteVoiceConnectorTerminationCredentialsInput";
import { DeleteVoiceConnectorTerminationCredentialsOutput } from "./types/DeleteVoiceConnectorTerminationCredentialsOutput";
import { DeleteVoiceConnectorTerminationInput } from "./types/DeleteVoiceConnectorTerminationInput";
import { DeleteVoiceConnectorTerminationOutput } from "./types/DeleteVoiceConnectorTerminationOutput";
import { DisassociatePhoneNumberFromUserInput } from "./types/DisassociatePhoneNumberFromUserInput";
import { DisassociatePhoneNumberFromUserOutput } from "./types/DisassociatePhoneNumberFromUserOutput";
import { DisassociatePhoneNumbersFromVoiceConnectorInput } from "./types/DisassociatePhoneNumbersFromVoiceConnectorInput";
import { DisassociatePhoneNumbersFromVoiceConnectorOutput } from "./types/DisassociatePhoneNumbersFromVoiceConnectorOutput";
import { GetAccountInput } from "./types/GetAccountInput";
import { GetAccountOutput } from "./types/GetAccountOutput";
import { GetAccountSettingsInput } from "./types/GetAccountSettingsInput";
import { GetAccountSettingsOutput } from "./types/GetAccountSettingsOutput";
import { GetBotInput } from "./types/GetBotInput";
import { GetBotOutput } from "./types/GetBotOutput";
import { GetEventsConfigurationInput } from "./types/GetEventsConfigurationInput";
import { GetEventsConfigurationOutput } from "./types/GetEventsConfigurationOutput";
import { GetGlobalSettingsInput } from "./types/GetGlobalSettingsInput";
import { GetGlobalSettingsOutput } from "./types/GetGlobalSettingsOutput";
import { GetPhoneNumberInput } from "./types/GetPhoneNumberInput";
import { GetPhoneNumberOrderInput } from "./types/GetPhoneNumberOrderInput";
import { GetPhoneNumberOrderOutput } from "./types/GetPhoneNumberOrderOutput";
import { GetPhoneNumberOutput } from "./types/GetPhoneNumberOutput";
import { GetUserInput } from "./types/GetUserInput";
import { GetUserOutput } from "./types/GetUserOutput";
import { GetUserSettingsInput } from "./types/GetUserSettingsInput";
import { GetUserSettingsOutput } from "./types/GetUserSettingsOutput";
import { GetVoiceConnectorInput } from "./types/GetVoiceConnectorInput";
import { GetVoiceConnectorOriginationInput } from "./types/GetVoiceConnectorOriginationInput";
import { GetVoiceConnectorOriginationOutput } from "./types/GetVoiceConnectorOriginationOutput";
import { GetVoiceConnectorOutput } from "./types/GetVoiceConnectorOutput";
import { GetVoiceConnectorTerminationHealthInput } from "./types/GetVoiceConnectorTerminationHealthInput";
import { GetVoiceConnectorTerminationHealthOutput } from "./types/GetVoiceConnectorTerminationHealthOutput";
import { GetVoiceConnectorTerminationInput } from "./types/GetVoiceConnectorTerminationInput";
import { GetVoiceConnectorTerminationOutput } from "./types/GetVoiceConnectorTerminationOutput";
import { InviteUsersInput } from "./types/InviteUsersInput";
import { InviteUsersOutput } from "./types/InviteUsersOutput";
import { ListAccountsInput } from "./types/ListAccountsInput";
import { ListAccountsOutput } from "./types/ListAccountsOutput";
import { ListBotsInput } from "./types/ListBotsInput";
import { ListBotsOutput } from "./types/ListBotsOutput";
import { ListPhoneNumberOrdersInput } from "./types/ListPhoneNumberOrdersInput";
import { ListPhoneNumberOrdersOutput } from "./types/ListPhoneNumberOrdersOutput";
import { ListPhoneNumbersInput } from "./types/ListPhoneNumbersInput";
import { ListPhoneNumbersOutput } from "./types/ListPhoneNumbersOutput";
import { ListUsersInput } from "./types/ListUsersInput";
import { ListUsersOutput } from "./types/ListUsersOutput";
import { ListVoiceConnectorTerminationCredentialsInput } from "./types/ListVoiceConnectorTerminationCredentialsInput";
import { ListVoiceConnectorTerminationCredentialsOutput } from "./types/ListVoiceConnectorTerminationCredentialsOutput";
import { ListVoiceConnectorsInput } from "./types/ListVoiceConnectorsInput";
import { ListVoiceConnectorsOutput } from "./types/ListVoiceConnectorsOutput";
import { LogoutUserInput } from "./types/LogoutUserInput";
import { LogoutUserOutput } from "./types/LogoutUserOutput";
import { PutEventsConfigurationInput } from "./types/PutEventsConfigurationInput";
import { PutEventsConfigurationOutput } from "./types/PutEventsConfigurationOutput";
import { PutVoiceConnectorOriginationInput } from "./types/PutVoiceConnectorOriginationInput";
import { PutVoiceConnectorOriginationOutput } from "./types/PutVoiceConnectorOriginationOutput";
import { PutVoiceConnectorTerminationCredentialsInput } from "./types/PutVoiceConnectorTerminationCredentialsInput";
import { PutVoiceConnectorTerminationCredentialsOutput } from "./types/PutVoiceConnectorTerminationCredentialsOutput";
import { PutVoiceConnectorTerminationInput } from "./types/PutVoiceConnectorTerminationInput";
import { PutVoiceConnectorTerminationOutput } from "./types/PutVoiceConnectorTerminationOutput";
import { RegenerateSecurityTokenInput } from "./types/RegenerateSecurityTokenInput";
import { RegenerateSecurityTokenOutput } from "./types/RegenerateSecurityTokenOutput";
import { ResetPersonalPINInput } from "./types/ResetPersonalPINInput";
import { ResetPersonalPINOutput } from "./types/ResetPersonalPINOutput";
import { RestorePhoneNumberInput } from "./types/RestorePhoneNumberInput";
import { RestorePhoneNumberOutput } from "./types/RestorePhoneNumberOutput";
import { SearchAvailablePhoneNumbersInput } from "./types/SearchAvailablePhoneNumbersInput";
import { SearchAvailablePhoneNumbersOutput } from "./types/SearchAvailablePhoneNumbersOutput";
import { UpdateAccountInput } from "./types/UpdateAccountInput";
import { UpdateAccountOutput } from "./types/UpdateAccountOutput";
import { UpdateAccountSettingsInput } from "./types/UpdateAccountSettingsInput";
import { UpdateAccountSettingsOutput } from "./types/UpdateAccountSettingsOutput";
import { UpdateBotInput } from "./types/UpdateBotInput";
import { UpdateBotOutput } from "./types/UpdateBotOutput";
import { UpdateGlobalSettingsInput } from "./types/UpdateGlobalSettingsInput";
import { UpdateGlobalSettingsOutput } from "./types/UpdateGlobalSettingsOutput";
import { UpdatePhoneNumberInput } from "./types/UpdatePhoneNumberInput";
import { UpdatePhoneNumberOutput } from "./types/UpdatePhoneNumberOutput";
import { UpdateUserInput } from "./types/UpdateUserInput";
import { UpdateUserOutput } from "./types/UpdateUserOutput";
import { UpdateUserSettingsInput } from "./types/UpdateUserSettingsInput";
import { UpdateUserSettingsOutput } from "./types/UpdateUserSettingsOutput";
import { UpdateVoiceConnectorInput } from "./types/UpdateVoiceConnectorInput";
import { UpdateVoiceConnectorOutput } from "./types/UpdateVoiceConnectorOutput";
export declare class Chime extends ChimeClient {
    /**
     * <p>Associates a phone number with the specified Amazon Chime user.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedClientException} <p>The client is not currently authorized to make the request.</p>
     *   - {NotFoundException} <p>One or more of the resources in the request does not exist in the system.</p>
     *   - {ForbiddenException} <p>The client is permanently forbidden from making the request. For example, when a user tries to create an account from an unsupported Region.</p>
     *   - {BadRequestException} <p>The input parameters don't match the service's restrictions.</p>
     *   - {ThrottledClientException} <p>The client exceeded its request rate limit.</p>
     *   - {ServiceUnavailableException} <p>The service is currently unavailable.</p>
     *   - {ServiceFailureException} <p>The service encountered an unexpected error.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    associatePhoneNumberWithUser(args: AssociatePhoneNumberWithUserInput): Promise<AssociatePhoneNumberWithUserOutput>;
    associatePhoneNumberWithUser(args: AssociatePhoneNumberWithUserInput, cb: (err: any, data?: AssociatePhoneNumberWithUserOutput) => void): void;
    /**
     * <p>Associates a phone number with the specified Amazon Chime Voice Connector.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedClientException} <p>The client is not currently authorized to make the request.</p>
     *   - {NotFoundException} <p>One or more of the resources in the request does not exist in the system.</p>
     *   - {ForbiddenException} <p>The client is permanently forbidden from making the request. For example, when a user tries to create an account from an unsupported Region.</p>
     *   - {BadRequestException} <p>The input parameters don't match the service's restrictions.</p>
     *   - {ThrottledClientException} <p>The client exceeded its request rate limit.</p>
     *   - {ServiceUnavailableException} <p>The service is currently unavailable.</p>
     *   - {ServiceFailureException} <p>The service encountered an unexpected error.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    associatePhoneNumbersWithVoiceConnector(args: AssociatePhoneNumbersWithVoiceConnectorInput): Promise<AssociatePhoneNumbersWithVoiceConnectorOutput>;
    associatePhoneNumbersWithVoiceConnector(args: AssociatePhoneNumbersWithVoiceConnectorInput, cb: (err: any, data?: AssociatePhoneNumbersWithVoiceConnectorOutput) => void): void;
    /**
     * <p>Moves phone numbers into the <b>Deletion queue</b>. Phone numbers must be disassociated from any users or Amazon Chime Voice Connectors before they can be deleted.</p> <p>Phone numbers remain in the <b>Deletion queue</b> for 7 days before they are deleted permanently.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedClientException} <p>The client is not currently authorized to make the request.</p>
     *   - {NotFoundException} <p>One or more of the resources in the request does not exist in the system.</p>
     *   - {ForbiddenException} <p>The client is permanently forbidden from making the request. For example, when a user tries to create an account from an unsupported Region.</p>
     *   - {BadRequestException} <p>The input parameters don't match the service's restrictions.</p>
     *   - {ThrottledClientException} <p>The client exceeded its request rate limit.</p>
     *   - {ServiceUnavailableException} <p>The service is currently unavailable.</p>
     *   - {ServiceFailureException} <p>The service encountered an unexpected error.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    batchDeletePhoneNumber(args: BatchDeletePhoneNumberInput): Promise<BatchDeletePhoneNumberOutput>;
    batchDeletePhoneNumber(args: BatchDeletePhoneNumberInput, cb: (err: any, data?: BatchDeletePhoneNumberOutput) => void): void;
    /**
     * <p>Suspends up to 50 users from a <code>Team</code> or <code>EnterpriseLWA</code> Amazon Chime account. For more information about different account types, see <a href="https://docs.aws.amazon.com/chime/latest/ag/manage-chime-account.html">Managing Your Amazon Chime Accounts</a> in the <i>Amazon Chime Administration Guide</i>.</p> <p>Users suspended from a <code>Team</code> account are dissasociated from the account, but they can continue to use Amazon Chime as free users. To remove the suspension from suspended <code>Team</code> account users, invite them to the <code>Team</code> account again. You can use the <a>InviteUsers</a> action to do so.</p> <p>Users suspended from an <code>EnterpriseLWA</code> account are immediately signed out of Amazon Chime and can no longer sign in. To remove the suspension from suspended <code>EnterpriseLWA</code> account users, use the <a>BatchUnsuspendUser</a> action. </p> <p>To sign out users without suspending them, use the <a>LogoutUser</a> action.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedClientException} <p>The client is not currently authorized to make the request.</p>
     *   - {NotFoundException} <p>One or more of the resources in the request does not exist in the system.</p>
     *   - {ForbiddenException} <p>The client is permanently forbidden from making the request. For example, when a user tries to create an account from an unsupported Region.</p>
     *   - {BadRequestException} <p>The input parameters don't match the service's restrictions.</p>
     *   - {ThrottledClientException} <p>The client exceeded its request rate limit.</p>
     *   - {ServiceUnavailableException} <p>The service is currently unavailable.</p>
     *   - {ServiceFailureException} <p>The service encountered an unexpected error.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    batchSuspendUser(args: BatchSuspendUserInput): Promise<BatchSuspendUserOutput>;
    batchSuspendUser(args: BatchSuspendUserInput, cb: (err: any, data?: BatchSuspendUserOutput) => void): void;
    /**
     * <p>Removes the suspension from up to 50 previously suspended users for the specified Amazon Chime <code>EnterpriseLWA</code> account. Only users on <code>EnterpriseLWA</code> accounts can be unsuspended using this action. For more information about different account types, see <a href="https://docs.aws.amazon.com/chime/latest/ag/manage-chime-account.html">Managing Your Amazon Chime Accounts</a> in the <i>Amazon Chime Administration Guide</i>.</p> <p>Previously suspended users who are unsuspended using this action are returned to <code>Registered</code> status. Users who are not previously suspended are ignored.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedClientException} <p>The client is not currently authorized to make the request.</p>
     *   - {NotFoundException} <p>One or more of the resources in the request does not exist in the system.</p>
     *   - {ForbiddenException} <p>The client is permanently forbidden from making the request. For example, when a user tries to create an account from an unsupported Region.</p>
     *   - {BadRequestException} <p>The input parameters don't match the service's restrictions.</p>
     *   - {ThrottledClientException} <p>The client exceeded its request rate limit.</p>
     *   - {ServiceUnavailableException} <p>The service is currently unavailable.</p>
     *   - {ServiceFailureException} <p>The service encountered an unexpected error.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    batchUnsuspendUser(args: BatchUnsuspendUserInput): Promise<BatchUnsuspendUserOutput>;
    batchUnsuspendUser(args: BatchUnsuspendUserInput, cb: (err: any, data?: BatchUnsuspendUserOutput) => void): void;
    /**
     * <p>Updates phone number product types. Choose from Amazon Chime Business Calling and Amazon Chime Voice Connector product types. For toll-free numbers, you can use only the Amazon Chime Voice Connector product type.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedClientException} <p>The client is not currently authorized to make the request.</p>
     *   - {NotFoundException} <p>One or more of the resources in the request does not exist in the system.</p>
     *   - {ForbiddenException} <p>The client is permanently forbidden from making the request. For example, when a user tries to create an account from an unsupported Region.</p>
     *   - {BadRequestException} <p>The input parameters don't match the service's restrictions.</p>
     *   - {ThrottledClientException} <p>The client exceeded its request rate limit.</p>
     *   - {ServiceUnavailableException} <p>The service is currently unavailable.</p>
     *   - {ServiceFailureException} <p>The service encountered an unexpected error.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    batchUpdatePhoneNumber(args: BatchUpdatePhoneNumberInput): Promise<BatchUpdatePhoneNumberOutput>;
    batchUpdatePhoneNumber(args: BatchUpdatePhoneNumberInput, cb: (err: any, data?: BatchUpdatePhoneNumberOutput) => void): void;
    /**
     * <p>Updates user details within the <a>UpdateUserRequestItem</a> object for up to 20 users for the specified Amazon Chime account. Currently, only <code>LicenseType</code> updates are supported for this action.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedClientException} <p>The client is not currently authorized to make the request.</p>
     *   - {NotFoundException} <p>One or more of the resources in the request does not exist in the system.</p>
     *   - {ForbiddenException} <p>The client is permanently forbidden from making the request. For example, when a user tries to create an account from an unsupported Region.</p>
     *   - {BadRequestException} <p>The input parameters don't match the service's restrictions.</p>
     *   - {ThrottledClientException} <p>The client exceeded its request rate limit.</p>
     *   - {ServiceUnavailableException} <p>The service is currently unavailable.</p>
     *   - {ServiceFailureException} <p>The service encountered an unexpected error.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    batchUpdateUser(args: BatchUpdateUserInput): Promise<BatchUpdateUserOutput>;
    batchUpdateUser(args: BatchUpdateUserInput, cb: (err: any, data?: BatchUpdateUserOutput) => void): void;
    /**
     * <p>Creates an Amazon Chime account under the administrator's AWS account. Only <code>Team</code> account types are currently supported for this action. For more information about different account types, see <a href="https://docs.aws.amazon.com/chime/latest/ag/manage-chime-account.html">Managing Your Amazon Chime Accounts</a> in the <i>Amazon Chime Administration Guide</i>.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedClientException} <p>The client is not currently authorized to make the request.</p>
     *   - {NotFoundException} <p>One or more of the resources in the request does not exist in the system.</p>
     *   - {ForbiddenException} <p>The client is permanently forbidden from making the request. For example, when a user tries to create an account from an unsupported Region.</p>
     *   - {BadRequestException} <p>The input parameters don't match the service's restrictions.</p>
     *   - {ThrottledClientException} <p>The client exceeded its request rate limit.</p>
     *   - {ServiceUnavailableException} <p>The service is currently unavailable.</p>
     *   - {ServiceFailureException} <p>The service encountered an unexpected error.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    createAccount(args: CreateAccountInput): Promise<CreateAccountOutput>;
    createAccount(args: CreateAccountInput, cb: (err: any, data?: CreateAccountOutput) => void): void;
    /**
     * <p>Creates a bot for an Amazon Chime Enterprise account.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {ServiceUnavailableException} <p>The service is currently unavailable.</p>
     *   - {ServiceFailureException} <p>The service encountered an unexpected error.</p>
     *   - {ForbiddenException} <p>The client is permanently forbidden from making the request. For example, when a user tries to create an account from an unsupported Region.</p>
     *   - {BadRequestException} <p>The input parameters don't match the service's restrictions.</p>
     *   - {UnauthorizedClientException} <p>The client is not currently authorized to make the request.</p>
     *   - {ResourceLimitExceededException} <p>The request exceeds the resource limit.</p>
     *   - {NotFoundException} <p>One or more of the resources in the request does not exist in the system.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    createBot(args: CreateBotInput): Promise<CreateBotOutput>;
    createBot(args: CreateBotInput, cb: (err: any, data?: CreateBotOutput) => void): void;
    /**
     * <p>Creates an order for phone numbers to be provisioned. Choose from Amazon Chime Business Calling and Amazon Chime Voice Connector product types. For toll-free numbers, you can use only the Amazon Chime Voice Connector product type.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedClientException} <p>The client is not currently authorized to make the request.</p>
     *   - {ForbiddenException} <p>The client is permanently forbidden from making the request. For example, when a user tries to create an account from an unsupported Region.</p>
     *   - {BadRequestException} <p>The input parameters don't match the service's restrictions.</p>
     *   - {ThrottledClientException} <p>The client exceeded its request rate limit.</p>
     *   - {ServiceUnavailableException} <p>The service is currently unavailable.</p>
     *   - {ServiceFailureException} <p>The service encountered an unexpected error.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    createPhoneNumberOrder(args: CreatePhoneNumberOrderInput): Promise<CreatePhoneNumberOrderOutput>;
    createPhoneNumberOrder(args: CreatePhoneNumberOrderInput, cb: (err: any, data?: CreatePhoneNumberOrderOutput) => void): void;
    /**
     * <p>Creates an Amazon Chime Voice Connector under the administrator's AWS account. Enabling <a>CreateVoiceConnectorRequest$RequireEncryption</a> configures your Amazon Chime Voice Connector to use TLS transport for SIP signaling and Secure RTP (SRTP) for media. Inbound calls use TLS transport, and unencrypted outbound calls are blocked.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedClientException} <p>The client is not currently authorized to make the request.</p>
     *   - {ForbiddenException} <p>The client is permanently forbidden from making the request. For example, when a user tries to create an account from an unsupported Region.</p>
     *   - {BadRequestException} <p>The input parameters don't match the service's restrictions.</p>
     *   - {ThrottledClientException} <p>The client exceeded its request rate limit.</p>
     *   - {ServiceUnavailableException} <p>The service is currently unavailable.</p>
     *   - {ServiceFailureException} <p>The service encountered an unexpected error.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    createVoiceConnector(args: CreateVoiceConnectorInput): Promise<CreateVoiceConnectorOutput>;
    createVoiceConnector(args: CreateVoiceConnectorInput, cb: (err: any, data?: CreateVoiceConnectorOutput) => void): void;
    /**
     * <p>Deletes the specified Amazon Chime account. You must suspend all users before deleting a <code>Team</code> account. You can use the <a>BatchSuspendUser</a> action to do so.</p> <p>For <code>EnterpriseLWA</code> and <code>EnterpriseAD</code> accounts, you must release the claimed domains for your Amazon Chime account before deletion. As soon as you release the domain, all users under that account are suspended.</p> <p>Deleted accounts appear in your <code>Disabled</code> accounts list for 90 days. To restore a deleted account from your <code>Disabled</code> accounts list, you must contact AWS Support.</p> <p>After 90 days, deleted accounts are permanently removed from your <code>Disabled</code> accounts list.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedClientException} <p>The client is not currently authorized to make the request.</p>
     *   - {NotFoundException} <p>One or more of the resources in the request does not exist in the system.</p>
     *   - {ForbiddenException} <p>The client is permanently forbidden from making the request. For example, when a user tries to create an account from an unsupported Region.</p>
     *   - {BadRequestException} <p>The input parameters don't match the service's restrictions.</p>
     *   - {ThrottledClientException} <p>The client exceeded its request rate limit.</p>
     *   - {UnprocessableEntityException} <p>The request was well-formed but was unable to be followed due to semantic errors.</p>
     *   - {ServiceUnavailableException} <p>The service is currently unavailable.</p>
     *   - {ServiceFailureException} <p>The service encountered an unexpected error.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    deleteAccount(args: DeleteAccountInput): Promise<DeleteAccountOutput>;
    deleteAccount(args: DeleteAccountInput, cb: (err: any, data?: DeleteAccountOutput) => void): void;
    /**
     * <p>Deletes the events configuration that allows a bot to receive outgoing events.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {ServiceUnavailableException} <p>The service is currently unavailable.</p>
     *   - {ServiceFailureException} <p>The service encountered an unexpected error.</p>
     *   - {ForbiddenException} <p>The client is permanently forbidden from making the request. For example, when a user tries to create an account from an unsupported Region.</p>
     *   - {BadRequestException} <p>The input parameters don't match the service's restrictions.</p>
     *   - {UnauthorizedClientException} <p>The client is not currently authorized to make the request.</p>
     *   - {ResourceLimitExceededException} <p>The request exceeds the resource limit.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    deleteEventsConfiguration(args: DeleteEventsConfigurationInput): Promise<DeleteEventsConfigurationOutput>;
    deleteEventsConfiguration(args: DeleteEventsConfigurationInput, cb: (err: any, data?: DeleteEventsConfigurationOutput) => void): void;
    /**
     * <p>Moves the specified phone number into the <b>Deletion queue</b>. A phone number must be disassociated from any users or Amazon Chime Voice Connectors before it can be deleted.</p> <p>Deleted phone numbers remain in the <b>Deletion queue</b> for 7 days before they are deleted permanently.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedClientException} <p>The client is not currently authorized to make the request.</p>
     *   - {NotFoundException} <p>One or more of the resources in the request does not exist in the system.</p>
     *   - {ForbiddenException} <p>The client is permanently forbidden from making the request. For example, when a user tries to create an account from an unsupported Region.</p>
     *   - {BadRequestException} <p>The input parameters don't match the service's restrictions.</p>
     *   - {ThrottledClientException} <p>The client exceeded its request rate limit.</p>
     *   - {ServiceUnavailableException} <p>The service is currently unavailable.</p>
     *   - {ServiceFailureException} <p>The service encountered an unexpected error.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    deletePhoneNumber(args: DeletePhoneNumberInput): Promise<DeletePhoneNumberOutput>;
    deletePhoneNumber(args: DeletePhoneNumberInput, cb: (err: any, data?: DeletePhoneNumberOutput) => void): void;
    /**
     * <p>Deletes the specified Amazon Chime Voice Connector. Any phone numbers assigned to the Amazon Chime Voice Connector must be unassigned from it before it can be deleted.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedClientException} <p>The client is not currently authorized to make the request.</p>
     *   - {NotFoundException} <p>One or more of the resources in the request does not exist in the system.</p>
     *   - {ForbiddenException} <p>The client is permanently forbidden from making the request. For example, when a user tries to create an account from an unsupported Region.</p>
     *   - {BadRequestException} <p>The input parameters don't match the service's restrictions.</p>
     *   - {ThrottledClientException} <p>The client exceeded its request rate limit.</p>
     *   - {ServiceUnavailableException} <p>The service is currently unavailable.</p>
     *   - {ServiceFailureException} <p>The service encountered an unexpected error.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    deleteVoiceConnector(args: DeleteVoiceConnectorInput): Promise<DeleteVoiceConnectorOutput>;
    deleteVoiceConnector(args: DeleteVoiceConnectorInput, cb: (err: any, data?: DeleteVoiceConnectorOutput) => void): void;
    /**
     * <p>Deletes the origination settings for the specified Amazon Chime Voice Connector.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedClientException} <p>The client is not currently authorized to make the request.</p>
     *   - {NotFoundException} <p>One or more of the resources in the request does not exist in the system.</p>
     *   - {ForbiddenException} <p>The client is permanently forbidden from making the request. For example, when a user tries to create an account from an unsupported Region.</p>
     *   - {BadRequestException} <p>The input parameters don't match the service's restrictions.</p>
     *   - {ThrottledClientException} <p>The client exceeded its request rate limit.</p>
     *   - {ServiceUnavailableException} <p>The service is currently unavailable.</p>
     *   - {ServiceFailureException} <p>The service encountered an unexpected error.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    deleteVoiceConnectorOrigination(args: DeleteVoiceConnectorOriginationInput): Promise<DeleteVoiceConnectorOriginationOutput>;
    deleteVoiceConnectorOrigination(args: DeleteVoiceConnectorOriginationInput, cb: (err: any, data?: DeleteVoiceConnectorOriginationOutput) => void): void;
    /**
     * <p>Deletes the termination settings for the specified Amazon Chime Voice Connector.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedClientException} <p>The client is not currently authorized to make the request.</p>
     *   - {NotFoundException} <p>One or more of the resources in the request does not exist in the system.</p>
     *   - {ForbiddenException} <p>The client is permanently forbidden from making the request. For example, when a user tries to create an account from an unsupported Region.</p>
     *   - {BadRequestException} <p>The input parameters don't match the service's restrictions.</p>
     *   - {ThrottledClientException} <p>The client exceeded its request rate limit.</p>
     *   - {ServiceUnavailableException} <p>The service is currently unavailable.</p>
     *   - {ServiceFailureException} <p>The service encountered an unexpected error.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    deleteVoiceConnectorTermination(args: DeleteVoiceConnectorTerminationInput): Promise<DeleteVoiceConnectorTerminationOutput>;
    deleteVoiceConnectorTermination(args: DeleteVoiceConnectorTerminationInput, cb: (err: any, data?: DeleteVoiceConnectorTerminationOutput) => void): void;
    /**
     * <p>Deletes the specified SIP credentials used by your equipment to authenticate during call termination.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedClientException} <p>The client is not currently authorized to make the request.</p>
     *   - {NotFoundException} <p>One or more of the resources in the request does not exist in the system.</p>
     *   - {ForbiddenException} <p>The client is permanently forbidden from making the request. For example, when a user tries to create an account from an unsupported Region.</p>
     *   - {BadRequestException} <p>The input parameters don't match the service's restrictions.</p>
     *   - {ThrottledClientException} <p>The client exceeded its request rate limit.</p>
     *   - {ServiceUnavailableException} <p>The service is currently unavailable.</p>
     *   - {ServiceFailureException} <p>The service encountered an unexpected error.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    deleteVoiceConnectorTerminationCredentials(args: DeleteVoiceConnectorTerminationCredentialsInput): Promise<DeleteVoiceConnectorTerminationCredentialsOutput>;
    deleteVoiceConnectorTerminationCredentials(args: DeleteVoiceConnectorTerminationCredentialsInput, cb: (err: any, data?: DeleteVoiceConnectorTerminationCredentialsOutput) => void): void;
    /**
     * <p>Disassociates the primary provisioned phone number from the specified Amazon Chime user.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedClientException} <p>The client is not currently authorized to make the request.</p>
     *   - {NotFoundException} <p>One or more of the resources in the request does not exist in the system.</p>
     *   - {ForbiddenException} <p>The client is permanently forbidden from making the request. For example, when a user tries to create an account from an unsupported Region.</p>
     *   - {BadRequestException} <p>The input parameters don't match the service's restrictions.</p>
     *   - {ThrottledClientException} <p>The client exceeded its request rate limit.</p>
     *   - {ServiceUnavailableException} <p>The service is currently unavailable.</p>
     *   - {ServiceFailureException} <p>The service encountered an unexpected error.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    disassociatePhoneNumberFromUser(args: DisassociatePhoneNumberFromUserInput): Promise<DisassociatePhoneNumberFromUserOutput>;
    disassociatePhoneNumberFromUser(args: DisassociatePhoneNumberFromUserInput, cb: (err: any, data?: DisassociatePhoneNumberFromUserOutput) => void): void;
    /**
     * <p>Disassociates the specified phone number from the specified Amazon Chime Voice Connector.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedClientException} <p>The client is not currently authorized to make the request.</p>
     *   - {NotFoundException} <p>One or more of the resources in the request does not exist in the system.</p>
     *   - {ForbiddenException} <p>The client is permanently forbidden from making the request. For example, when a user tries to create an account from an unsupported Region.</p>
     *   - {BadRequestException} <p>The input parameters don't match the service's restrictions.</p>
     *   - {ThrottledClientException} <p>The client exceeded its request rate limit.</p>
     *   - {ServiceUnavailableException} <p>The service is currently unavailable.</p>
     *   - {ServiceFailureException} <p>The service encountered an unexpected error.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    disassociatePhoneNumbersFromVoiceConnector(args: DisassociatePhoneNumbersFromVoiceConnectorInput): Promise<DisassociatePhoneNumbersFromVoiceConnectorOutput>;
    disassociatePhoneNumbersFromVoiceConnector(args: DisassociatePhoneNumbersFromVoiceConnectorInput, cb: (err: any, data?: DisassociatePhoneNumbersFromVoiceConnectorOutput) => void): void;
    /**
     * <p>Retrieves details for the specified Amazon Chime account, such as account type and supported licenses.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedClientException} <p>The client is not currently authorized to make the request.</p>
     *   - {NotFoundException} <p>One or more of the resources in the request does not exist in the system.</p>
     *   - {ForbiddenException} <p>The client is permanently forbidden from making the request. For example, when a user tries to create an account from an unsupported Region.</p>
     *   - {BadRequestException} <p>The input parameters don't match the service's restrictions.</p>
     *   - {ThrottledClientException} <p>The client exceeded its request rate limit.</p>
     *   - {ServiceUnavailableException} <p>The service is currently unavailable.</p>
     *   - {ServiceFailureException} <p>The service encountered an unexpected error.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getAccount(args: GetAccountInput): Promise<GetAccountOutput>;
    getAccount(args: GetAccountInput, cb: (err: any, data?: GetAccountOutput) => void): void;
    /**
     * <p>Retrieves account settings for the specified Amazon Chime account ID, such as remote control and dial out settings. For more information about these settings, see <a href="https://docs.aws.amazon.com/chime/latest/ag/policies.html">Use the Policies Page</a> in the <i>Amazon Chime Administration Guide</i>.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedClientException} <p>The client is not currently authorized to make the request.</p>
     *   - {NotFoundException} <p>One or more of the resources in the request does not exist in the system.</p>
     *   - {BadRequestException} <p>The input parameters don't match the service's restrictions.</p>
     *   - {ForbiddenException} <p>The client is permanently forbidden from making the request. For example, when a user tries to create an account from an unsupported Region.</p>
     *   - {ThrottledClientException} <p>The client exceeded its request rate limit.</p>
     *   - {ServiceUnavailableException} <p>The service is currently unavailable.</p>
     *   - {ServiceFailureException} <p>The service encountered an unexpected error.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getAccountSettings(args: GetAccountSettingsInput): Promise<GetAccountSettingsOutput>;
    getAccountSettings(args: GetAccountSettingsInput, cb: (err: any, data?: GetAccountSettingsOutput) => void): void;
    /**
     * <p>Retrieves details for the specified bot, such as bot email address, bot type, status, and display name.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {ServiceUnavailableException} <p>The service is currently unavailable.</p>
     *   - {ServiceFailureException} <p>The service encountered an unexpected error.</p>
     *   - {ForbiddenException} <p>The client is permanently forbidden from making the request. For example, when a user tries to create an account from an unsupported Region.</p>
     *   - {UnauthorizedClientException} <p>The client is not currently authorized to make the request.</p>
     *   - {NotFoundException} <p>One or more of the resources in the request does not exist in the system.</p>
     *   - {BadRequestException} <p>The input parameters don't match the service's restrictions.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getBot(args: GetBotInput): Promise<GetBotOutput>;
    getBot(args: GetBotInput, cb: (err: any, data?: GetBotOutput) => void): void;
    /**
     * <p>Gets details for an events configuration that allows a bot to receive outgoing events, such as an HTTPS endpoint or Lambda function ARN. </p>
     *
     * This operation may fail with one of the following errors:
     *   - {ServiceUnavailableException} <p>The service is currently unavailable.</p>
     *   - {ServiceFailureException} <p>The service encountered an unexpected error.</p>
     *   - {ForbiddenException} <p>The client is permanently forbidden from making the request. For example, when a user tries to create an account from an unsupported Region.</p>
     *   - {BadRequestException} <p>The input parameters don't match the service's restrictions.</p>
     *   - {UnauthorizedClientException} <p>The client is not currently authorized to make the request.</p>
     *   - {ResourceLimitExceededException} <p>The request exceeds the resource limit.</p>
     *   - {NotFoundException} <p>One or more of the resources in the request does not exist in the system.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getEventsConfiguration(args: GetEventsConfigurationInput): Promise<GetEventsConfigurationOutput>;
    getEventsConfiguration(args: GetEventsConfigurationInput, cb: (err: any, data?: GetEventsConfigurationOutput) => void): void;
    /**
     * <p>Retrieves global settings for the administrator's AWS account, such as Amazon Chime Business Calling and Amazon Chime Voice Connector settings.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedClientException} <p>The client is not currently authorized to make the request.</p>
     *   - {ForbiddenException} <p>The client is permanently forbidden from making the request. For example, when a user tries to create an account from an unsupported Region.</p>
     *   - {BadRequestException} <p>The input parameters don't match the service's restrictions.</p>
     *   - {ThrottledClientException} <p>The client exceeded its request rate limit.</p>
     *   - {ServiceUnavailableException} <p>The service is currently unavailable.</p>
     *   - {ServiceFailureException} <p>The service encountered an unexpected error.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getGlobalSettings(args: GetGlobalSettingsInput): Promise<GetGlobalSettingsOutput>;
    getGlobalSettings(args: GetGlobalSettingsInput, cb: (err: any, data?: GetGlobalSettingsOutput) => void): void;
    /**
     * <p>Retrieves details for the specified phone number ID, such as associations, capabilities, and product type.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedClientException} <p>The client is not currently authorized to make the request.</p>
     *   - {NotFoundException} <p>One or more of the resources in the request does not exist in the system.</p>
     *   - {ForbiddenException} <p>The client is permanently forbidden from making the request. For example, when a user tries to create an account from an unsupported Region.</p>
     *   - {BadRequestException} <p>The input parameters don't match the service's restrictions.</p>
     *   - {ThrottledClientException} <p>The client exceeded its request rate limit.</p>
     *   - {ServiceUnavailableException} <p>The service is currently unavailable.</p>
     *   - {ServiceFailureException} <p>The service encountered an unexpected error.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getPhoneNumber(args: GetPhoneNumberInput): Promise<GetPhoneNumberOutput>;
    getPhoneNumber(args: GetPhoneNumberInput, cb: (err: any, data?: GetPhoneNumberOutput) => void): void;
    /**
     * <p>Retrieves details for the specified phone number order, such as order creation timestamp, phone numbers in E.164 format, product type, and order status.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedClientException} <p>The client is not currently authorized to make the request.</p>
     *   - {NotFoundException} <p>One or more of the resources in the request does not exist in the system.</p>
     *   - {ForbiddenException} <p>The client is permanently forbidden from making the request. For example, when a user tries to create an account from an unsupported Region.</p>
     *   - {BadRequestException} <p>The input parameters don't match the service's restrictions.</p>
     *   - {ThrottledClientException} <p>The client exceeded its request rate limit.</p>
     *   - {ServiceUnavailableException} <p>The service is currently unavailable.</p>
     *   - {ServiceFailureException} <p>The service encountered an unexpected error.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getPhoneNumberOrder(args: GetPhoneNumberOrderInput): Promise<GetPhoneNumberOrderOutput>;
    getPhoneNumberOrder(args: GetPhoneNumberOrderInput, cb: (err: any, data?: GetPhoneNumberOrderOutput) => void): void;
    /**
     * <p>Retrieves details for the specified user ID, such as primary email address, license type, and personal meeting PIN.</p> <p>To retrieve user details with an email address instead of a user ID, use the <a>ListUsers</a> action, and then filter by email address.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedClientException} <p>The client is not currently authorized to make the request.</p>
     *   - {NotFoundException} <p>One or more of the resources in the request does not exist in the system.</p>
     *   - {ForbiddenException} <p>The client is permanently forbidden from making the request. For example, when a user tries to create an account from an unsupported Region.</p>
     *   - {BadRequestException} <p>The input parameters don't match the service's restrictions.</p>
     *   - {ThrottledClientException} <p>The client exceeded its request rate limit.</p>
     *   - {ServiceUnavailableException} <p>The service is currently unavailable.</p>
     *   - {ServiceFailureException} <p>The service encountered an unexpected error.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getUser(args: GetUserInput): Promise<GetUserOutput>;
    getUser(args: GetUserInput, cb: (err: any, data?: GetUserOutput) => void): void;
    /**
     * <p>Retrieves settings for the specified user ID, such as any associated phone number settings.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedClientException} <p>The client is not currently authorized to make the request.</p>
     *   - {NotFoundException} <p>One or more of the resources in the request does not exist in the system.</p>
     *   - {ForbiddenException} <p>The client is permanently forbidden from making the request. For example, when a user tries to create an account from an unsupported Region.</p>
     *   - {BadRequestException} <p>The input parameters don't match the service's restrictions.</p>
     *   - {ThrottledClientException} <p>The client exceeded its request rate limit.</p>
     *   - {ServiceUnavailableException} <p>The service is currently unavailable.</p>
     *   - {ServiceFailureException} <p>The service encountered an unexpected error.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getUserSettings(args: GetUserSettingsInput): Promise<GetUserSettingsOutput>;
    getUserSettings(args: GetUserSettingsInput, cb: (err: any, data?: GetUserSettingsOutput) => void): void;
    /**
     * <p>Retrieves details for the specified Amazon Chime Voice Connector, such as timestamps, name, outbound host, and encryption requirements.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedClientException} <p>The client is not currently authorized to make the request.</p>
     *   - {NotFoundException} <p>One or more of the resources in the request does not exist in the system.</p>
     *   - {ForbiddenException} <p>The client is permanently forbidden from making the request. For example, when a user tries to create an account from an unsupported Region.</p>
     *   - {BadRequestException} <p>The input parameters don't match the service's restrictions.</p>
     *   - {ThrottledClientException} <p>The client exceeded its request rate limit.</p>
     *   - {ServiceUnavailableException} <p>The service is currently unavailable.</p>
     *   - {ServiceFailureException} <p>The service encountered an unexpected error.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getVoiceConnector(args: GetVoiceConnectorInput): Promise<GetVoiceConnectorOutput>;
    getVoiceConnector(args: GetVoiceConnectorInput, cb: (err: any, data?: GetVoiceConnectorOutput) => void): void;
    /**
     * <p>Retrieves origination setting details for the specified Amazon Chime Voice Connector.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedClientException} <p>The client is not currently authorized to make the request.</p>
     *   - {NotFoundException} <p>One or more of the resources in the request does not exist in the system.</p>
     *   - {ForbiddenException} <p>The client is permanently forbidden from making the request. For example, when a user tries to create an account from an unsupported Region.</p>
     *   - {BadRequestException} <p>The input parameters don't match the service's restrictions.</p>
     *   - {ThrottledClientException} <p>The client exceeded its request rate limit.</p>
     *   - {ServiceUnavailableException} <p>The service is currently unavailable.</p>
     *   - {ServiceFailureException} <p>The service encountered an unexpected error.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getVoiceConnectorOrigination(args: GetVoiceConnectorOriginationInput): Promise<GetVoiceConnectorOriginationOutput>;
    getVoiceConnectorOrigination(args: GetVoiceConnectorOriginationInput, cb: (err: any, data?: GetVoiceConnectorOriginationOutput) => void): void;
    /**
     * <p>Retrieves termination setting details for the specified Amazon Chime Voice Connector.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedClientException} <p>The client is not currently authorized to make the request.</p>
     *   - {NotFoundException} <p>One or more of the resources in the request does not exist in the system.</p>
     *   - {ForbiddenException} <p>The client is permanently forbidden from making the request. For example, when a user tries to create an account from an unsupported Region.</p>
     *   - {BadRequestException} <p>The input parameters don't match the service's restrictions.</p>
     *   - {ThrottledClientException} <p>The client exceeded its request rate limit.</p>
     *   - {ServiceUnavailableException} <p>The service is currently unavailable.</p>
     *   - {ServiceFailureException} <p>The service encountered an unexpected error.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getVoiceConnectorTermination(args: GetVoiceConnectorTerminationInput): Promise<GetVoiceConnectorTerminationOutput>;
    getVoiceConnectorTermination(args: GetVoiceConnectorTerminationInput, cb: (err: any, data?: GetVoiceConnectorTerminationOutput) => void): void;
    /**
     * <p>Retrieves information about the last time a SIP <code>OPTIONS</code> ping was received from your SIP infrastructure for the specified Amazon Chime Voice Connector.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedClientException} <p>The client is not currently authorized to make the request.</p>
     *   - {NotFoundException} <p>One or more of the resources in the request does not exist in the system.</p>
     *   - {ForbiddenException} <p>The client is permanently forbidden from making the request. For example, when a user tries to create an account from an unsupported Region.</p>
     *   - {BadRequestException} <p>The input parameters don't match the service's restrictions.</p>
     *   - {ThrottledClientException} <p>The client exceeded its request rate limit.</p>
     *   - {ServiceUnavailableException} <p>The service is currently unavailable.</p>
     *   - {ServiceFailureException} <p>The service encountered an unexpected error.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    getVoiceConnectorTerminationHealth(args: GetVoiceConnectorTerminationHealthInput): Promise<GetVoiceConnectorTerminationHealthOutput>;
    getVoiceConnectorTerminationHealth(args: GetVoiceConnectorTerminationHealthInput, cb: (err: any, data?: GetVoiceConnectorTerminationHealthOutput) => void): void;
    /**
     * <p>Sends email invites to as many as 50 users, inviting them to the specified Amazon Chime <code>Team</code> account. Only <code>Team</code> account types are currently supported for this action. </p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedClientException} <p>The client is not currently authorized to make the request.</p>
     *   - {NotFoundException} <p>One or more of the resources in the request does not exist in the system.</p>
     *   - {ForbiddenException} <p>The client is permanently forbidden from making the request. For example, when a user tries to create an account from an unsupported Region.</p>
     *   - {BadRequestException} <p>The input parameters don't match the service's restrictions.</p>
     *   - {ThrottledClientException} <p>The client exceeded its request rate limit.</p>
     *   - {ServiceUnavailableException} <p>The service is currently unavailable.</p>
     *   - {ServiceFailureException} <p>The service encountered an unexpected error.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    inviteUsers(args: InviteUsersInput): Promise<InviteUsersOutput>;
    inviteUsers(args: InviteUsersInput, cb: (err: any, data?: InviteUsersOutput) => void): void;
    /**
     * <p>Lists the Amazon Chime accounts under the administrator's AWS account. You can filter accounts by account name prefix. To find out which Amazon Chime account a user belongs to, you can filter by the user's email address, which returns one account result.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedClientException} <p>The client is not currently authorized to make the request.</p>
     *   - {NotFoundException} <p>One or more of the resources in the request does not exist in the system.</p>
     *   - {ForbiddenException} <p>The client is permanently forbidden from making the request. For example, when a user tries to create an account from an unsupported Region.</p>
     *   - {BadRequestException} <p>The input parameters don't match the service's restrictions.</p>
     *   - {ThrottledClientException} <p>The client exceeded its request rate limit.</p>
     *   - {ServiceUnavailableException} <p>The service is currently unavailable.</p>
     *   - {ServiceFailureException} <p>The service encountered an unexpected error.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    listAccounts(args: ListAccountsInput): Promise<ListAccountsOutput>;
    listAccounts(args: ListAccountsInput, cb: (err: any, data?: ListAccountsOutput) => void): void;
    /**
     * <p>Lists the bots associated with the administrator's Amazon Chime Enterprise account ID.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {ServiceUnavailableException} <p>The service is currently unavailable.</p>
     *   - {ServiceFailureException} <p>The service encountered an unexpected error.</p>
     *   - {ForbiddenException} <p>The client is permanently forbidden from making the request. For example, when a user tries to create an account from an unsupported Region.</p>
     *   - {UnauthorizedClientException} <p>The client is not currently authorized to make the request.</p>
     *   - {BadRequestException} <p>The input parameters don't match the service's restrictions.</p>
     *   - {NotFoundException} <p>One or more of the resources in the request does not exist in the system.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    listBots(args: ListBotsInput): Promise<ListBotsOutput>;
    listBots(args: ListBotsInput, cb: (err: any, data?: ListBotsOutput) => void): void;
    /**
     * <p>Lists the phone number orders for the administrator's Amazon Chime account.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedClientException} <p>The client is not currently authorized to make the request.</p>
     *   - {ForbiddenException} <p>The client is permanently forbidden from making the request. For example, when a user tries to create an account from an unsupported Region.</p>
     *   - {BadRequestException} <p>The input parameters don't match the service's restrictions.</p>
     *   - {ThrottledClientException} <p>The client exceeded its request rate limit.</p>
     *   - {ServiceUnavailableException} <p>The service is currently unavailable.</p>
     *   - {ServiceFailureException} <p>The service encountered an unexpected error.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    listPhoneNumberOrders(args: ListPhoneNumberOrdersInput): Promise<ListPhoneNumberOrdersOutput>;
    listPhoneNumberOrders(args: ListPhoneNumberOrdersInput, cb: (err: any, data?: ListPhoneNumberOrdersOutput) => void): void;
    /**
     * <p>Lists the phone numbers for the specified Amazon Chime account, Amazon Chime user, or Amazon Chime Voice Connector.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedClientException} <p>The client is not currently authorized to make the request.</p>
     *   - {ForbiddenException} <p>The client is permanently forbidden from making the request. For example, when a user tries to create an account from an unsupported Region.</p>
     *   - {BadRequestException} <p>The input parameters don't match the service's restrictions.</p>
     *   - {ThrottledClientException} <p>The client exceeded its request rate limit.</p>
     *   - {ServiceUnavailableException} <p>The service is currently unavailable.</p>
     *   - {ServiceFailureException} <p>The service encountered an unexpected error.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    listPhoneNumbers(args: ListPhoneNumbersInput): Promise<ListPhoneNumbersOutput>;
    listPhoneNumbers(args: ListPhoneNumbersInput, cb: (err: any, data?: ListPhoneNumbersOutput) => void): void;
    /**
     * <p>Lists the users that belong to the specified Amazon Chime account. You can specify an email address to list only the user that the email address belongs to.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedClientException} <p>The client is not currently authorized to make the request.</p>
     *   - {NotFoundException} <p>One or more of the resources in the request does not exist in the system.</p>
     *   - {ForbiddenException} <p>The client is permanently forbidden from making the request. For example, when a user tries to create an account from an unsupported Region.</p>
     *   - {BadRequestException} <p>The input parameters don't match the service's restrictions.</p>
     *   - {ThrottledClientException} <p>The client exceeded its request rate limit.</p>
     *   - {ServiceUnavailableException} <p>The service is currently unavailable.</p>
     *   - {ServiceFailureException} <p>The service encountered an unexpected error.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    listUsers(args: ListUsersInput): Promise<ListUsersOutput>;
    listUsers(args: ListUsersInput, cb: (err: any, data?: ListUsersOutput) => void): void;
    /**
     * <p>Lists the SIP credentials for the specified Amazon Chime Voice Connector.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedClientException} <p>The client is not currently authorized to make the request.</p>
     *   - {NotFoundException} <p>One or more of the resources in the request does not exist in the system.</p>
     *   - {ForbiddenException} <p>The client is permanently forbidden from making the request. For example, when a user tries to create an account from an unsupported Region.</p>
     *   - {BadRequestException} <p>The input parameters don't match the service's restrictions.</p>
     *   - {ThrottledClientException} <p>The client exceeded its request rate limit.</p>
     *   - {ServiceUnavailableException} <p>The service is currently unavailable.</p>
     *   - {ServiceFailureException} <p>The service encountered an unexpected error.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    listVoiceConnectorTerminationCredentials(args: ListVoiceConnectorTerminationCredentialsInput): Promise<ListVoiceConnectorTerminationCredentialsOutput>;
    listVoiceConnectorTerminationCredentials(args: ListVoiceConnectorTerminationCredentialsInput, cb: (err: any, data?: ListVoiceConnectorTerminationCredentialsOutput) => void): void;
    /**
     * <p>Lists the Amazon Chime Voice Connectors for the administrator's AWS account.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedClientException} <p>The client is not currently authorized to make the request.</p>
     *   - {ForbiddenException} <p>The client is permanently forbidden from making the request. For example, when a user tries to create an account from an unsupported Region.</p>
     *   - {BadRequestException} <p>The input parameters don't match the service's restrictions.</p>
     *   - {ThrottledClientException} <p>The client exceeded its request rate limit.</p>
     *   - {ServiceUnavailableException} <p>The service is currently unavailable.</p>
     *   - {ServiceFailureException} <p>The service encountered an unexpected error.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    listVoiceConnectors(args: ListVoiceConnectorsInput): Promise<ListVoiceConnectorsOutput>;
    listVoiceConnectors(args: ListVoiceConnectorsInput, cb: (err: any, data?: ListVoiceConnectorsOutput) => void): void;
    /**
     * <p>Logs out the specified user from all of the devices they are currently logged into.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedClientException} <p>The client is not currently authorized to make the request.</p>
     *   - {NotFoundException} <p>One or more of the resources in the request does not exist in the system.</p>
     *   - {ForbiddenException} <p>The client is permanently forbidden from making the request. For example, when a user tries to create an account from an unsupported Region.</p>
     *   - {BadRequestException} <p>The input parameters don't match the service's restrictions.</p>
     *   - {ThrottledClientException} <p>The client exceeded its request rate limit.</p>
     *   - {ServiceUnavailableException} <p>The service is currently unavailable.</p>
     *   - {ServiceFailureException} <p>The service encountered an unexpected error.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    logoutUser(args: LogoutUserInput): Promise<LogoutUserOutput>;
    logoutUser(args: LogoutUserInput, cb: (err: any, data?: LogoutUserOutput) => void): void;
    /**
     * <p>Creates an events configuration that allows a bot to receive outgoing events sent by Amazon Chime. Choose either an HTTPS endpoint or a Lambda function ARN. For more information, see <a>Bot</a>.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {ServiceUnavailableException} <p>The service is currently unavailable.</p>
     *   - {ServiceFailureException} <p>The service encountered an unexpected error.</p>
     *   - {ForbiddenException} <p>The client is permanently forbidden from making the request. For example, when a user tries to create an account from an unsupported Region.</p>
     *   - {BadRequestException} <p>The input parameters don't match the service's restrictions.</p>
     *   - {UnauthorizedClientException} <p>The client is not currently authorized to make the request.</p>
     *   - {ResourceLimitExceededException} <p>The request exceeds the resource limit.</p>
     *   - {NotFoundException} <p>One or more of the resources in the request does not exist in the system.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    putEventsConfiguration(args: PutEventsConfigurationInput): Promise<PutEventsConfigurationOutput>;
    putEventsConfiguration(args: PutEventsConfigurationInput, cb: (err: any, data?: PutEventsConfigurationOutput) => void): void;
    /**
     * <p>Adds origination settings for the specified Amazon Chime Voice Connector.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedClientException} <p>The client is not currently authorized to make the request.</p>
     *   - {NotFoundException} <p>One or more of the resources in the request does not exist in the system.</p>
     *   - {ForbiddenException} <p>The client is permanently forbidden from making the request. For example, when a user tries to create an account from an unsupported Region.</p>
     *   - {BadRequestException} <p>The input parameters don't match the service's restrictions.</p>
     *   - {ThrottledClientException} <p>The client exceeded its request rate limit.</p>
     *   - {ServiceUnavailableException} <p>The service is currently unavailable.</p>
     *   - {ServiceFailureException} <p>The service encountered an unexpected error.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    putVoiceConnectorOrigination(args: PutVoiceConnectorOriginationInput): Promise<PutVoiceConnectorOriginationOutput>;
    putVoiceConnectorOrigination(args: PutVoiceConnectorOriginationInput, cb: (err: any, data?: PutVoiceConnectorOriginationOutput) => void): void;
    /**
     * <p>Adds termination settings for the specified Amazon Chime Voice Connector.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedClientException} <p>The client is not currently authorized to make the request.</p>
     *   - {NotFoundException} <p>One or more of the resources in the request does not exist in the system.</p>
     *   - {ForbiddenException} <p>The client is permanently forbidden from making the request. For example, when a user tries to create an account from an unsupported Region.</p>
     *   - {BadRequestException} <p>The input parameters don't match the service's restrictions.</p>
     *   - {ThrottledClientException} <p>The client exceeded its request rate limit.</p>
     *   - {ServiceUnavailableException} <p>The service is currently unavailable.</p>
     *   - {ServiceFailureException} <p>The service encountered an unexpected error.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    putVoiceConnectorTermination(args: PutVoiceConnectorTerminationInput): Promise<PutVoiceConnectorTerminationOutput>;
    putVoiceConnectorTermination(args: PutVoiceConnectorTerminationInput, cb: (err: any, data?: PutVoiceConnectorTerminationOutput) => void): void;
    /**
     * <p>Adds termination SIP credentials for the specified Amazon Chime Voice Connector.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedClientException} <p>The client is not currently authorized to make the request.</p>
     *   - {NotFoundException} <p>One or more of the resources in the request does not exist in the system.</p>
     *   - {ForbiddenException} <p>The client is permanently forbidden from making the request. For example, when a user tries to create an account from an unsupported Region.</p>
     *   - {BadRequestException} <p>The input parameters don't match the service's restrictions.</p>
     *   - {ThrottledClientException} <p>The client exceeded its request rate limit.</p>
     *   - {ServiceUnavailableException} <p>The service is currently unavailable.</p>
     *   - {ServiceFailureException} <p>The service encountered an unexpected error.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    putVoiceConnectorTerminationCredentials(args: PutVoiceConnectorTerminationCredentialsInput): Promise<PutVoiceConnectorTerminationCredentialsOutput>;
    putVoiceConnectorTerminationCredentials(args: PutVoiceConnectorTerminationCredentialsInput, cb: (err: any, data?: PutVoiceConnectorTerminationCredentialsOutput) => void): void;
    /**
     * <p>Regenerates the security token for a bot.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {ServiceUnavailableException} <p>The service is currently unavailable.</p>
     *   - {ServiceFailureException} <p>The service encountered an unexpected error.</p>
     *   - {ForbiddenException} <p>The client is permanently forbidden from making the request. For example, when a user tries to create an account from an unsupported Region.</p>
     *   - {BadRequestException} <p>The input parameters don't match the service's restrictions.</p>
     *   - {UnauthorizedClientException} <p>The client is not currently authorized to make the request.</p>
     *   - {NotFoundException} <p>One or more of the resources in the request does not exist in the system.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    regenerateSecurityToken(args: RegenerateSecurityTokenInput): Promise<RegenerateSecurityTokenOutput>;
    regenerateSecurityToken(args: RegenerateSecurityTokenInput, cb: (err: any, data?: RegenerateSecurityTokenOutput) => void): void;
    /**
     * <p>Resets the personal meeting PIN for the specified user on an Amazon Chime account. Returns the <a>User</a> object with the updated personal meeting PIN.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedClientException} <p>The client is not currently authorized to make the request.</p>
     *   - {NotFoundException} <p>One or more of the resources in the request does not exist in the system.</p>
     *   - {ForbiddenException} <p>The client is permanently forbidden from making the request. For example, when a user tries to create an account from an unsupported Region.</p>
     *   - {BadRequestException} <p>The input parameters don't match the service's restrictions.</p>
     *   - {ThrottledClientException} <p>The client exceeded its request rate limit.</p>
     *   - {ServiceUnavailableException} <p>The service is currently unavailable.</p>
     *   - {ServiceFailureException} <p>The service encountered an unexpected error.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    resetPersonalPIN(args: ResetPersonalPINInput): Promise<ResetPersonalPINOutput>;
    resetPersonalPIN(args: ResetPersonalPINInput, cb: (err: any, data?: ResetPersonalPINOutput) => void): void;
    /**
     * <p>Moves a phone number from the <b>Deletion queue</b> back into the phone number <b>Inventory</b>.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedClientException} <p>The client is not currently authorized to make the request.</p>
     *   - {NotFoundException} <p>One or more of the resources in the request does not exist in the system.</p>
     *   - {ForbiddenException} <p>The client is permanently forbidden from making the request. For example, when a user tries to create an account from an unsupported Region.</p>
     *   - {BadRequestException} <p>The input parameters don't match the service's restrictions.</p>
     *   - {ThrottledClientException} <p>The client exceeded its request rate limit.</p>
     *   - {ServiceUnavailableException} <p>The service is currently unavailable.</p>
     *   - {ServiceFailureException} <p>The service encountered an unexpected error.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    restorePhoneNumber(args: RestorePhoneNumberInput): Promise<RestorePhoneNumberOutput>;
    restorePhoneNumber(args: RestorePhoneNumberInput, cb: (err: any, data?: RestorePhoneNumberOutput) => void): void;
    /**
     * <p>Searches phone numbers that can be ordered.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedClientException} <p>The client is not currently authorized to make the request.</p>
     *   - {ForbiddenException} <p>The client is permanently forbidden from making the request. For example, when a user tries to create an account from an unsupported Region.</p>
     *   - {BadRequestException} <p>The input parameters don't match the service's restrictions.</p>
     *   - {ThrottledClientException} <p>The client exceeded its request rate limit.</p>
     *   - {ServiceUnavailableException} <p>The service is currently unavailable.</p>
     *   - {ServiceFailureException} <p>The service encountered an unexpected error.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    searchAvailablePhoneNumbers(args: SearchAvailablePhoneNumbersInput): Promise<SearchAvailablePhoneNumbersOutput>;
    searchAvailablePhoneNumbers(args: SearchAvailablePhoneNumbersInput, cb: (err: any, data?: SearchAvailablePhoneNumbersOutput) => void): void;
    /**
     * <p>Updates account details for the specified Amazon Chime account. Currently, only account name updates are supported for this action.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedClientException} <p>The client is not currently authorized to make the request.</p>
     *   - {NotFoundException} <p>One or more of the resources in the request does not exist in the system.</p>
     *   - {ForbiddenException} <p>The client is permanently forbidden from making the request. For example, when a user tries to create an account from an unsupported Region.</p>
     *   - {BadRequestException} <p>The input parameters don't match the service's restrictions.</p>
     *   - {ThrottledClientException} <p>The client exceeded its request rate limit.</p>
     *   - {ServiceUnavailableException} <p>The service is currently unavailable.</p>
     *   - {ServiceFailureException} <p>The service encountered an unexpected error.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    updateAccount(args: UpdateAccountInput): Promise<UpdateAccountOutput>;
    updateAccount(args: UpdateAccountInput, cb: (err: any, data?: UpdateAccountOutput) => void): void;
    /**
     * <p>Updates the settings for the specified Amazon Chime account. You can update settings for remote control of shared screens, or for the dial-out option. For more information about these settings, see <a href="https://docs.aws.amazon.com/chime/latest/ag/policies.html">Use the Policies Page</a> in the <i>Amazon Chime Administration Guide</i>.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedClientException} <p>The client is not currently authorized to make the request.</p>
     *   - {NotFoundException} <p>One or more of the resources in the request does not exist in the system.</p>
     *   - {BadRequestException} <p>The input parameters don't match the service's restrictions.</p>
     *   - {ForbiddenException} <p>The client is permanently forbidden from making the request. For example, when a user tries to create an account from an unsupported Region.</p>
     *   - {ConflictException} <p>The request could not be processed because of conflict in the current state of the resource.</p>
     *   - {ThrottledClientException} <p>The client exceeded its request rate limit.</p>
     *   - {ServiceUnavailableException} <p>The service is currently unavailable.</p>
     *   - {ServiceFailureException} <p>The service encountered an unexpected error.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    updateAccountSettings(args: UpdateAccountSettingsInput): Promise<UpdateAccountSettingsOutput>;
    updateAccountSettings(args: UpdateAccountSettingsInput, cb: (err: any, data?: UpdateAccountSettingsOutput) => void): void;
    /**
     * <p>Updates the status of the specified bot, such as starting or stopping the bot from running in your Amazon Chime Enterprise account.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {ServiceUnavailableException} <p>The service is currently unavailable.</p>
     *   - {ServiceFailureException} <p>The service encountered an unexpected error.</p>
     *   - {ForbiddenException} <p>The client is permanently forbidden from making the request. For example, when a user tries to create an account from an unsupported Region.</p>
     *   - {BadRequestException} <p>The input parameters don't match the service's restrictions.</p>
     *   - {UnauthorizedClientException} <p>The client is not currently authorized to make the request.</p>
     *   - {NotFoundException} <p>One or more of the resources in the request does not exist in the system.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    updateBot(args: UpdateBotInput): Promise<UpdateBotOutput>;
    updateBot(args: UpdateBotInput, cb: (err: any, data?: UpdateBotOutput) => void): void;
    /**
     * <p>Updates global settings for the administrator's AWS account, such as Amazon Chime Business Calling and Amazon Chime Voice Connector settings.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedClientException} <p>The client is not currently authorized to make the request.</p>
     *   - {ForbiddenException} <p>The client is permanently forbidden from making the request. For example, when a user tries to create an account from an unsupported Region.</p>
     *   - {BadRequestException} <p>The input parameters don't match the service's restrictions.</p>
     *   - {ThrottledClientException} <p>The client exceeded its request rate limit.</p>
     *   - {ServiceUnavailableException} <p>The service is currently unavailable.</p>
     *   - {ServiceFailureException} <p>The service encountered an unexpected error.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    updateGlobalSettings(args: UpdateGlobalSettingsInput): Promise<UpdateGlobalSettingsOutput>;
    updateGlobalSettings(args: UpdateGlobalSettingsInput, cb: (err: any, data?: UpdateGlobalSettingsOutput) => void): void;
    /**
     * <p>Updates phone number details, such as product type, for the specified phone number ID. For toll-free numbers, you can use only the Amazon Chime Voice Connector product type.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedClientException} <p>The client is not currently authorized to make the request.</p>
     *   - {NotFoundException} <p>One or more of the resources in the request does not exist in the system.</p>
     *   - {ForbiddenException} <p>The client is permanently forbidden from making the request. For example, when a user tries to create an account from an unsupported Region.</p>
     *   - {BadRequestException} <p>The input parameters don't match the service's restrictions.</p>
     *   - {ThrottledClientException} <p>The client exceeded its request rate limit.</p>
     *   - {ServiceUnavailableException} <p>The service is currently unavailable.</p>
     *   - {ServiceFailureException} <p>The service encountered an unexpected error.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    updatePhoneNumber(args: UpdatePhoneNumberInput): Promise<UpdatePhoneNumberOutput>;
    updatePhoneNumber(args: UpdatePhoneNumberInput, cb: (err: any, data?: UpdatePhoneNumberOutput) => void): void;
    /**
     * <p>Updates user details for a specified user ID. Currently, only <code>LicenseType</code> updates are supported for this action.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedClientException} <p>The client is not currently authorized to make the request.</p>
     *   - {NotFoundException} <p>One or more of the resources in the request does not exist in the system.</p>
     *   - {ForbiddenException} <p>The client is permanently forbidden from making the request. For example, when a user tries to create an account from an unsupported Region.</p>
     *   - {BadRequestException} <p>The input parameters don't match the service's restrictions.</p>
     *   - {ThrottledClientException} <p>The client exceeded its request rate limit.</p>
     *   - {ServiceUnavailableException} <p>The service is currently unavailable.</p>
     *   - {ServiceFailureException} <p>The service encountered an unexpected error.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    updateUser(args: UpdateUserInput): Promise<UpdateUserOutput>;
    updateUser(args: UpdateUserInput, cb: (err: any, data?: UpdateUserOutput) => void): void;
    /**
     * <p>Updates the settings for the specified user, such as phone number settings.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedClientException} <p>The client is not currently authorized to make the request.</p>
     *   - {NotFoundException} <p>One or more of the resources in the request does not exist in the system.</p>
     *   - {ForbiddenException} <p>The client is permanently forbidden from making the request. For example, when a user tries to create an account from an unsupported Region.</p>
     *   - {BadRequestException} <p>The input parameters don't match the service's restrictions.</p>
     *   - {ThrottledClientException} <p>The client exceeded its request rate limit.</p>
     *   - {ServiceUnavailableException} <p>The service is currently unavailable.</p>
     *   - {ServiceFailureException} <p>The service encountered an unexpected error.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    updateUserSettings(args: UpdateUserSettingsInput): Promise<UpdateUserSettingsOutput>;
    updateUserSettings(args: UpdateUserSettingsInput, cb: (err: any, data?: UpdateUserSettingsOutput) => void): void;
    /**
     * <p>Updates details for the specified Amazon Chime Voice Connector.</p>
     *
     * This operation may fail with one of the following errors:
     *   - {UnauthorizedClientException} <p>The client is not currently authorized to make the request.</p>
     *   - {NotFoundException} <p>One or more of the resources in the request does not exist in the system.</p>
     *   - {ForbiddenException} <p>The client is permanently forbidden from making the request. For example, when a user tries to create an account from an unsupported Region.</p>
     *   - {BadRequestException} <p>The input parameters don't match the service's restrictions.</p>
     *   - {ThrottledClientException} <p>The client exceeded its request rate limit.</p>
     *   - {ServiceUnavailableException} <p>The service is currently unavailable.</p>
     *   - {ServiceFailureException} <p>The service encountered an unexpected error.</p>
     *   - {Error} An error originating from the SDK or customizations rather than the service
     */
    updateVoiceConnector(args: UpdateVoiceConnectorInput): Promise<UpdateVoiceConnectorOutput>;
    updateVoiceConnector(args: UpdateVoiceConnectorInput, cb: (err: any, data?: UpdateVoiceConnectorOutput) => void): void;
}
