"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var ChimeClient_1 = require("./ChimeClient");
var AssociatePhoneNumberWithUserCommand_1 = require("./commands/AssociatePhoneNumberWithUserCommand");
var AssociatePhoneNumbersWithVoiceConnectorCommand_1 = require("./commands/AssociatePhoneNumbersWithVoiceConnectorCommand");
var BatchDeletePhoneNumberCommand_1 = require("./commands/BatchDeletePhoneNumberCommand");
var BatchSuspendUserCommand_1 = require("./commands/BatchSuspendUserCommand");
var BatchUnsuspendUserCommand_1 = require("./commands/BatchUnsuspendUserCommand");
var BatchUpdatePhoneNumberCommand_1 = require("./commands/BatchUpdatePhoneNumberCommand");
var BatchUpdateUserCommand_1 = require("./commands/BatchUpdateUserCommand");
var CreateAccountCommand_1 = require("./commands/CreateAccountCommand");
var CreateBotCommand_1 = require("./commands/CreateBotCommand");
var CreatePhoneNumberOrderCommand_1 = require("./commands/CreatePhoneNumberOrderCommand");
var CreateVoiceConnectorCommand_1 = require("./commands/CreateVoiceConnectorCommand");
var DeleteAccountCommand_1 = require("./commands/DeleteAccountCommand");
var DeleteEventsConfigurationCommand_1 = require("./commands/DeleteEventsConfigurationCommand");
var DeletePhoneNumberCommand_1 = require("./commands/DeletePhoneNumberCommand");
var DeleteVoiceConnectorCommand_1 = require("./commands/DeleteVoiceConnectorCommand");
var DeleteVoiceConnectorOriginationCommand_1 = require("./commands/DeleteVoiceConnectorOriginationCommand");
var DeleteVoiceConnectorTerminationCommand_1 = require("./commands/DeleteVoiceConnectorTerminationCommand");
var DeleteVoiceConnectorTerminationCredentialsCommand_1 = require("./commands/DeleteVoiceConnectorTerminationCredentialsCommand");
var DisassociatePhoneNumberFromUserCommand_1 = require("./commands/DisassociatePhoneNumberFromUserCommand");
var DisassociatePhoneNumbersFromVoiceConnectorCommand_1 = require("./commands/DisassociatePhoneNumbersFromVoiceConnectorCommand");
var GetAccountCommand_1 = require("./commands/GetAccountCommand");
var GetAccountSettingsCommand_1 = require("./commands/GetAccountSettingsCommand");
var GetBotCommand_1 = require("./commands/GetBotCommand");
var GetEventsConfigurationCommand_1 = require("./commands/GetEventsConfigurationCommand");
var GetGlobalSettingsCommand_1 = require("./commands/GetGlobalSettingsCommand");
var GetPhoneNumberCommand_1 = require("./commands/GetPhoneNumberCommand");
var GetPhoneNumberOrderCommand_1 = require("./commands/GetPhoneNumberOrderCommand");
var GetUserCommand_1 = require("./commands/GetUserCommand");
var GetUserSettingsCommand_1 = require("./commands/GetUserSettingsCommand");
var GetVoiceConnectorCommand_1 = require("./commands/GetVoiceConnectorCommand");
var GetVoiceConnectorOriginationCommand_1 = require("./commands/GetVoiceConnectorOriginationCommand");
var GetVoiceConnectorTerminationCommand_1 = require("./commands/GetVoiceConnectorTerminationCommand");
var GetVoiceConnectorTerminationHealthCommand_1 = require("./commands/GetVoiceConnectorTerminationHealthCommand");
var InviteUsersCommand_1 = require("./commands/InviteUsersCommand");
var ListAccountsCommand_1 = require("./commands/ListAccountsCommand");
var ListBotsCommand_1 = require("./commands/ListBotsCommand");
var ListPhoneNumberOrdersCommand_1 = require("./commands/ListPhoneNumberOrdersCommand");
var ListPhoneNumbersCommand_1 = require("./commands/ListPhoneNumbersCommand");
var ListUsersCommand_1 = require("./commands/ListUsersCommand");
var ListVoiceConnectorTerminationCredentialsCommand_1 = require("./commands/ListVoiceConnectorTerminationCredentialsCommand");
var ListVoiceConnectorsCommand_1 = require("./commands/ListVoiceConnectorsCommand");
var LogoutUserCommand_1 = require("./commands/LogoutUserCommand");
var PutEventsConfigurationCommand_1 = require("./commands/PutEventsConfigurationCommand");
var PutVoiceConnectorOriginationCommand_1 = require("./commands/PutVoiceConnectorOriginationCommand");
var PutVoiceConnectorTerminationCommand_1 = require("./commands/PutVoiceConnectorTerminationCommand");
var PutVoiceConnectorTerminationCredentialsCommand_1 = require("./commands/PutVoiceConnectorTerminationCredentialsCommand");
var RegenerateSecurityTokenCommand_1 = require("./commands/RegenerateSecurityTokenCommand");
var ResetPersonalPINCommand_1 = require("./commands/ResetPersonalPINCommand");
var RestorePhoneNumberCommand_1 = require("./commands/RestorePhoneNumberCommand");
var SearchAvailablePhoneNumbersCommand_1 = require("./commands/SearchAvailablePhoneNumbersCommand");
var UpdateAccountCommand_1 = require("./commands/UpdateAccountCommand");
var UpdateAccountSettingsCommand_1 = require("./commands/UpdateAccountSettingsCommand");
var UpdateBotCommand_1 = require("./commands/UpdateBotCommand");
var UpdateGlobalSettingsCommand_1 = require("./commands/UpdateGlobalSettingsCommand");
var UpdatePhoneNumberCommand_1 = require("./commands/UpdatePhoneNumberCommand");
var UpdateUserCommand_1 = require("./commands/UpdateUserCommand");
var UpdateUserSettingsCommand_1 = require("./commands/UpdateUserSettingsCommand");
var UpdateVoiceConnectorCommand_1 = require("./commands/UpdateVoiceConnectorCommand");
var Chime = /** @class */ (function (_super) {
    tslib_1.__extends(Chime, _super);
    function Chime() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    Chime.prototype.associatePhoneNumberWithUser = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new AssociatePhoneNumberWithUserCommand_1.AssociatePhoneNumberWithUserCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Chime.prototype.associatePhoneNumbersWithVoiceConnector = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new AssociatePhoneNumbersWithVoiceConnectorCommand_1.AssociatePhoneNumbersWithVoiceConnectorCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Chime.prototype.batchDeletePhoneNumber = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new BatchDeletePhoneNumberCommand_1.BatchDeletePhoneNumberCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Chime.prototype.batchSuspendUser = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new BatchSuspendUserCommand_1.BatchSuspendUserCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Chime.prototype.batchUnsuspendUser = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new BatchUnsuspendUserCommand_1.BatchUnsuspendUserCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Chime.prototype.batchUpdatePhoneNumber = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new BatchUpdatePhoneNumberCommand_1.BatchUpdatePhoneNumberCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Chime.prototype.batchUpdateUser = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new BatchUpdateUserCommand_1.BatchUpdateUserCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Chime.prototype.createAccount = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateAccountCommand_1.CreateAccountCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Chime.prototype.createBot = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateBotCommand_1.CreateBotCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Chime.prototype.createPhoneNumberOrder = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreatePhoneNumberOrderCommand_1.CreatePhoneNumberOrderCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Chime.prototype.createVoiceConnector = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateVoiceConnectorCommand_1.CreateVoiceConnectorCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Chime.prototype.deleteAccount = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteAccountCommand_1.DeleteAccountCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Chime.prototype.deleteEventsConfiguration = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteEventsConfigurationCommand_1.DeleteEventsConfigurationCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Chime.prototype.deletePhoneNumber = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeletePhoneNumberCommand_1.DeletePhoneNumberCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Chime.prototype.deleteVoiceConnector = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteVoiceConnectorCommand_1.DeleteVoiceConnectorCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Chime.prototype.deleteVoiceConnectorOrigination = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteVoiceConnectorOriginationCommand_1.DeleteVoiceConnectorOriginationCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Chime.prototype.deleteVoiceConnectorTermination = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteVoiceConnectorTerminationCommand_1.DeleteVoiceConnectorTerminationCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Chime.prototype.deleteVoiceConnectorTerminationCredentials = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteVoiceConnectorTerminationCredentialsCommand_1.DeleteVoiceConnectorTerminationCredentialsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Chime.prototype.disassociatePhoneNumberFromUser = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DisassociatePhoneNumberFromUserCommand_1.DisassociatePhoneNumberFromUserCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Chime.prototype.disassociatePhoneNumbersFromVoiceConnector = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DisassociatePhoneNumbersFromVoiceConnectorCommand_1.DisassociatePhoneNumbersFromVoiceConnectorCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Chime.prototype.getAccount = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetAccountCommand_1.GetAccountCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Chime.prototype.getAccountSettings = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetAccountSettingsCommand_1.GetAccountSettingsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Chime.prototype.getBot = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetBotCommand_1.GetBotCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Chime.prototype.getEventsConfiguration = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetEventsConfigurationCommand_1.GetEventsConfigurationCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Chime.prototype.getGlobalSettings = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetGlobalSettingsCommand_1.GetGlobalSettingsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Chime.prototype.getPhoneNumber = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetPhoneNumberCommand_1.GetPhoneNumberCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Chime.prototype.getPhoneNumberOrder = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetPhoneNumberOrderCommand_1.GetPhoneNumberOrderCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Chime.prototype.getUser = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetUserCommand_1.GetUserCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Chime.prototype.getUserSettings = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetUserSettingsCommand_1.GetUserSettingsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Chime.prototype.getVoiceConnector = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetVoiceConnectorCommand_1.GetVoiceConnectorCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Chime.prototype.getVoiceConnectorOrigination = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetVoiceConnectorOriginationCommand_1.GetVoiceConnectorOriginationCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Chime.prototype.getVoiceConnectorTermination = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetVoiceConnectorTerminationCommand_1.GetVoiceConnectorTerminationCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Chime.prototype.getVoiceConnectorTerminationHealth = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetVoiceConnectorTerminationHealthCommand_1.GetVoiceConnectorTerminationHealthCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Chime.prototype.inviteUsers = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new InviteUsersCommand_1.InviteUsersCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Chime.prototype.listAccounts = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListAccountsCommand_1.ListAccountsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Chime.prototype.listBots = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListBotsCommand_1.ListBotsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Chime.prototype.listPhoneNumberOrders = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListPhoneNumberOrdersCommand_1.ListPhoneNumberOrdersCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Chime.prototype.listPhoneNumbers = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListPhoneNumbersCommand_1.ListPhoneNumbersCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Chime.prototype.listUsers = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListUsersCommand_1.ListUsersCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Chime.prototype.listVoiceConnectorTerminationCredentials = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListVoiceConnectorTerminationCredentialsCommand_1.ListVoiceConnectorTerminationCredentialsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Chime.prototype.listVoiceConnectors = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListVoiceConnectorsCommand_1.ListVoiceConnectorsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Chime.prototype.logoutUser = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new LogoutUserCommand_1.LogoutUserCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Chime.prototype.putEventsConfiguration = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new PutEventsConfigurationCommand_1.PutEventsConfigurationCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Chime.prototype.putVoiceConnectorOrigination = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new PutVoiceConnectorOriginationCommand_1.PutVoiceConnectorOriginationCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Chime.prototype.putVoiceConnectorTermination = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new PutVoiceConnectorTerminationCommand_1.PutVoiceConnectorTerminationCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Chime.prototype.putVoiceConnectorTerminationCredentials = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new PutVoiceConnectorTerminationCredentialsCommand_1.PutVoiceConnectorTerminationCredentialsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Chime.prototype.regenerateSecurityToken = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new RegenerateSecurityTokenCommand_1.RegenerateSecurityTokenCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Chime.prototype.resetPersonalPIN = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ResetPersonalPINCommand_1.ResetPersonalPINCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Chime.prototype.restorePhoneNumber = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new RestorePhoneNumberCommand_1.RestorePhoneNumberCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Chime.prototype.searchAvailablePhoneNumbers = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new SearchAvailablePhoneNumbersCommand_1.SearchAvailablePhoneNumbersCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Chime.prototype.updateAccount = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UpdateAccountCommand_1.UpdateAccountCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Chime.prototype.updateAccountSettings = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UpdateAccountSettingsCommand_1.UpdateAccountSettingsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Chime.prototype.updateBot = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UpdateBotCommand_1.UpdateBotCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Chime.prototype.updateGlobalSettings = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UpdateGlobalSettingsCommand_1.UpdateGlobalSettingsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Chime.prototype.updatePhoneNumber = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UpdatePhoneNumberCommand_1.UpdatePhoneNumberCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Chime.prototype.updateUser = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UpdateUserCommand_1.UpdateUserCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Chime.prototype.updateUserSettings = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UpdateUserSettingsCommand_1.UpdateUserSettingsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    Chime.prototype.updateVoiceConnector = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UpdateVoiceConnectorCommand_1.UpdateVoiceConnectorCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    return Chime;
}(ChimeClient_1.ChimeClient));
exports.Chime = Chime;
//# sourceMappingURL=Chime.js.map