"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateAccount_1 = require("../model/operations/CreateAccount");
var CreateAccountCommand = /** @class */ (function () {
    function CreateAccountCommand(input) {
        this.input = input;
        this.model = CreateAccount_1.CreateAccount;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateAccountCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateAccountCommand;
}());
exports.CreateAccountCommand = CreateAccountCommand;
//# sourceMappingURL=CreateAccountCommand.js.map