"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateBot_1 = require("../model/operations/CreateBot");
var CreateBotCommand = /** @class */ (function () {
    function CreateBotCommand(input) {
        this.input = input;
        this.model = CreateBot_1.CreateBot;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateBotCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateBotCommand;
}());
exports.CreateBotCommand = CreateBotCommand;
//# sourceMappingURL=CreateBotCommand.js.map