"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateVoiceConnector_1 = require("../model/operations/CreateVoiceConnector");
var CreateVoiceConnectorCommand = /** @class */ (function () {
    function CreateVoiceConnectorCommand(input) {
        this.input = input;
        this.model = CreateVoiceConnector_1.CreateVoiceConnector;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateVoiceConnectorCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateVoiceConnectorCommand;
}());
exports.CreateVoiceConnectorCommand = CreateVoiceConnectorCommand;
//# sourceMappingURL=CreateVoiceConnectorCommand.js.map