"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteAccount_1 = require("../model/operations/DeleteAccount");
var DeleteAccountCommand = /** @class */ (function () {
    function DeleteAccountCommand(input) {
        this.input = input;
        this.model = DeleteAccount_1.DeleteAccount;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteAccountCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteAccountCommand;
}());
exports.DeleteAccountCommand = DeleteAccountCommand;
//# sourceMappingURL=DeleteAccountCommand.js.map