"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteEventsConfiguration_1 = require("../model/operations/DeleteEventsConfiguration");
var DeleteEventsConfigurationCommand = /** @class */ (function () {
    function DeleteEventsConfigurationCommand(input) {
        this.input = input;
        this.model = DeleteEventsConfiguration_1.DeleteEventsConfiguration;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteEventsConfigurationCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteEventsConfigurationCommand;
}());
exports.DeleteEventsConfigurationCommand = DeleteEventsConfigurationCommand;
//# sourceMappingURL=DeleteEventsConfigurationCommand.js.map