"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteVoiceConnector_1 = require("../model/operations/DeleteVoiceConnector");
var DeleteVoiceConnectorCommand = /** @class */ (function () {
    function DeleteVoiceConnectorCommand(input) {
        this.input = input;
        this.model = DeleteVoiceConnector_1.DeleteVoiceConnector;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteVoiceConnectorCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteVoiceConnectorCommand;
}());
exports.DeleteVoiceConnectorCommand = DeleteVoiceConnectorCommand;
//# sourceMappingURL=DeleteVoiceConnectorCommand.js.map