"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteVoiceConnectorTermination_1 = require("../model/operations/DeleteVoiceConnectorTermination");
var DeleteVoiceConnectorTerminationCommand = /** @class */ (function () {
    function DeleteVoiceConnectorTerminationCommand(input) {
        this.input = input;
        this.model = DeleteVoiceConnectorTermination_1.DeleteVoiceConnectorTermination;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteVoiceConnectorTerminationCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteVoiceConnectorTerminationCommand;
}());
exports.DeleteVoiceConnectorTerminationCommand = DeleteVoiceConnectorTerminationCommand;
//# sourceMappingURL=DeleteVoiceConnectorTerminationCommand.js.map