"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetBot_1 = require("../model/operations/GetBot");
var GetBotCommand = /** @class */ (function () {
    function GetBotCommand(input) {
        this.input = input;
        this.model = GetBot_1.GetBot;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetBotCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetBotCommand;
}());
exports.GetBotCommand = GetBotCommand;
//# sourceMappingURL=GetBotCommand.js.map