"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetEventsConfiguration_1 = require("../model/operations/GetEventsConfiguration");
var GetEventsConfigurationCommand = /** @class */ (function () {
    function GetEventsConfigurationCommand(input) {
        this.input = input;
        this.model = GetEventsConfiguration_1.GetEventsConfiguration;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetEventsConfigurationCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetEventsConfigurationCommand;
}());
exports.GetEventsConfigurationCommand = GetEventsConfigurationCommand;
//# sourceMappingURL=GetEventsConfigurationCommand.js.map