"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetGlobalSettings_1 = require("../model/operations/GetGlobalSettings");
var GetGlobalSettingsCommand = /** @class */ (function () {
    function GetGlobalSettingsCommand(input) {
        this.input = input;
        this.model = GetGlobalSettings_1.GetGlobalSettings;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetGlobalSettingsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetGlobalSettingsCommand;
}());
exports.GetGlobalSettingsCommand = GetGlobalSettingsCommand;
//# sourceMappingURL=GetGlobalSettingsCommand.js.map