"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetPhoneNumber_1 = require("../model/operations/GetPhoneNumber");
var GetPhoneNumberCommand = /** @class */ (function () {
    function GetPhoneNumberCommand(input) {
        this.input = input;
        this.model = GetPhoneNumber_1.GetPhoneNumber;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetPhoneNumberCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetPhoneNumberCommand;
}());
exports.GetPhoneNumberCommand = GetPhoneNumberCommand;
//# sourceMappingURL=GetPhoneNumberCommand.js.map