"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetUser_1 = require("../model/operations/GetUser");
var GetUserCommand = /** @class */ (function () {
    function GetUserCommand(input) {
        this.input = input;
        this.model = GetUser_1.GetUser;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetUserCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetUserCommand;
}());
exports.GetUserCommand = GetUserCommand;
//# sourceMappingURL=GetUserCommand.js.map