"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetUserSettings_1 = require("../model/operations/GetUserSettings");
var GetUserSettingsCommand = /** @class */ (function () {
    function GetUserSettingsCommand(input) {
        this.input = input;
        this.model = GetUserSettings_1.GetUserSettings;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetUserSettingsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetUserSettingsCommand;
}());
exports.GetUserSettingsCommand = GetUserSettingsCommand;
//# sourceMappingURL=GetUserSettingsCommand.js.map