"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GetVoiceConnector_1 = require("../model/operations/GetVoiceConnector");
var GetVoiceConnectorCommand = /** @class */ (function () {
    function GetVoiceConnectorCommand(input) {
        this.input = input;
        this.model = GetVoiceConnector_1.GetVoiceConnector;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GetVoiceConnectorCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GetVoiceConnectorCommand;
}());
exports.GetVoiceConnectorCommand = GetVoiceConnectorCommand;
//# sourceMappingURL=GetVoiceConnectorCommand.js.map