"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var InviteUsers_1 = require("../model/operations/InviteUsers");
var InviteUsersCommand = /** @class */ (function () {
    function InviteUsersCommand(input) {
        this.input = input;
        this.model = InviteUsers_1.InviteUsers;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    InviteUsersCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return InviteUsersCommand;
}());
exports.InviteUsersCommand = InviteUsersCommand;
//# sourceMappingURL=InviteUsersCommand.js.map