"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListAccounts_1 = require("../model/operations/ListAccounts");
var ListAccountsCommand = /** @class */ (function () {
    function ListAccountsCommand(input) {
        this.input = input;
        this.model = ListAccounts_1.ListAccounts;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListAccountsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListAccountsCommand;
}());
exports.ListAccountsCommand = ListAccountsCommand;
//# sourceMappingURL=ListAccountsCommand.js.map