"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListBots_1 = require("../model/operations/ListBots");
var ListBotsCommand = /** @class */ (function () {
    function ListBotsCommand(input) {
        this.input = input;
        this.model = ListBots_1.ListBots;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListBotsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListBotsCommand;
}());
exports.ListBotsCommand = ListBotsCommand;
//# sourceMappingURL=ListBotsCommand.js.map