"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListPhoneNumberOrders_1 = require("../model/operations/ListPhoneNumberOrders");
var ListPhoneNumberOrdersCommand = /** @class */ (function () {
    function ListPhoneNumberOrdersCommand(input) {
        this.input = input;
        this.model = ListPhoneNumberOrders_1.ListPhoneNumberOrders;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListPhoneNumberOrdersCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListPhoneNumberOrdersCommand;
}());
exports.ListPhoneNumberOrdersCommand = ListPhoneNumberOrdersCommand;
//# sourceMappingURL=ListPhoneNumberOrdersCommand.js.map