"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListPhoneNumbers_1 = require("../model/operations/ListPhoneNumbers");
var ListPhoneNumbersCommand = /** @class */ (function () {
    function ListPhoneNumbersCommand(input) {
        this.input = input;
        this.model = ListPhoneNumbers_1.ListPhoneNumbers;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListPhoneNumbersCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListPhoneNumbersCommand;
}());
exports.ListPhoneNumbersCommand = ListPhoneNumbersCommand;
//# sourceMappingURL=ListPhoneNumbersCommand.js.map