"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListVoiceConnectors_1 = require("../model/operations/ListVoiceConnectors");
var ListVoiceConnectorsCommand = /** @class */ (function () {
    function ListVoiceConnectorsCommand(input) {
        this.input = input;
        this.model = ListVoiceConnectors_1.ListVoiceConnectors;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListVoiceConnectorsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListVoiceConnectorsCommand;
}());
exports.ListVoiceConnectorsCommand = ListVoiceConnectorsCommand;
//# sourceMappingURL=ListVoiceConnectorsCommand.js.map