"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var LogoutUser_1 = require("../model/operations/LogoutUser");
var LogoutUserCommand = /** @class */ (function () {
    function LogoutUserCommand(input) {
        this.input = input;
        this.model = LogoutUser_1.LogoutUser;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    LogoutUserCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return LogoutUserCommand;
}());
exports.LogoutUserCommand = LogoutUserCommand;
//# sourceMappingURL=LogoutUserCommand.js.map