"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var PutEventsConfiguration_1 = require("../model/operations/PutEventsConfiguration");
var PutEventsConfigurationCommand = /** @class */ (function () {
    function PutEventsConfigurationCommand(input) {
        this.input = input;
        this.model = PutEventsConfiguration_1.PutEventsConfiguration;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    PutEventsConfigurationCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return PutEventsConfigurationCommand;
}());
exports.PutEventsConfigurationCommand = PutEventsConfigurationCommand;
//# sourceMappingURL=PutEventsConfigurationCommand.js.map