"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var PutVoiceConnectorOrigination_1 = require("../model/operations/PutVoiceConnectorOrigination");
var PutVoiceConnectorOriginationCommand = /** @class */ (function () {
    function PutVoiceConnectorOriginationCommand(input) {
        this.input = input;
        this.model = PutVoiceConnectorOrigination_1.PutVoiceConnectorOrigination;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    PutVoiceConnectorOriginationCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return PutVoiceConnectorOriginationCommand;
}());
exports.PutVoiceConnectorOriginationCommand = PutVoiceConnectorOriginationCommand;
//# sourceMappingURL=PutVoiceConnectorOriginationCommand.js.map