"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var RegenerateSecurityToken_1 = require("../model/operations/RegenerateSecurityToken");
var RegenerateSecurityTokenCommand = /** @class */ (function () {
    function RegenerateSecurityTokenCommand(input) {
        this.input = input;
        this.model = RegenerateSecurityToken_1.RegenerateSecurityToken;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    RegenerateSecurityTokenCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return RegenerateSecurityTokenCommand;
}());
exports.RegenerateSecurityTokenCommand = RegenerateSecurityTokenCommand;
//# sourceMappingURL=RegenerateSecurityTokenCommand.js.map