"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ResetPersonalPIN_1 = require("../model/operations/ResetPersonalPIN");
var ResetPersonalPINCommand = /** @class */ (function () {
    function ResetPersonalPINCommand(input) {
        this.input = input;
        this.model = ResetPersonalPIN_1.ResetPersonalPIN;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ResetPersonalPINCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ResetPersonalPINCommand;
}());
exports.ResetPersonalPINCommand = ResetPersonalPINCommand;
//# sourceMappingURL=ResetPersonalPINCommand.js.map