"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var RestorePhoneNumber_1 = require("../model/operations/RestorePhoneNumber");
var RestorePhoneNumberCommand = /** @class */ (function () {
    function RestorePhoneNumberCommand(input) {
        this.input = input;
        this.model = RestorePhoneNumber_1.RestorePhoneNumber;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    RestorePhoneNumberCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return RestorePhoneNumberCommand;
}());
exports.RestorePhoneNumberCommand = RestorePhoneNumberCommand;
//# sourceMappingURL=RestorePhoneNumberCommand.js.map