"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var UpdateBot_1 = require("../model/operations/UpdateBot");
var UpdateBotCommand = /** @class */ (function () {
    function UpdateBotCommand(input) {
        this.input = input;
        this.model = UpdateBot_1.UpdateBot;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    UpdateBotCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return UpdateBotCommand;
}());
exports.UpdateBotCommand = UpdateBotCommand;
//# sourceMappingURL=UpdateBotCommand.js.map