"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var UpdateGlobalSettings_1 = require("../model/operations/UpdateGlobalSettings");
var UpdateGlobalSettingsCommand = /** @class */ (function () {
    function UpdateGlobalSettingsCommand(input) {
        this.input = input;
        this.model = UpdateGlobalSettings_1.UpdateGlobalSettings;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    UpdateGlobalSettingsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return UpdateGlobalSettingsCommand;
}());
exports.UpdateGlobalSettingsCommand = UpdateGlobalSettingsCommand;
//# sourceMappingURL=UpdateGlobalSettingsCommand.js.map