"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var AssociatePhoneNumbersWithVoiceConnectorInput_1 = require("../shapes/AssociatePhoneNumbersWithVoiceConnectorInput");
var AssociatePhoneNumbersWithVoiceConnectorOutput_1 = require("../shapes/AssociatePhoneNumbersWithVoiceConnectorOutput");
var UnauthorizedClientException_1 = require("../shapes/UnauthorizedClientException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var ForbiddenException_1 = require("../shapes/ForbiddenException");
var BadRequestException_1 = require("../shapes/BadRequestException");
var ThrottledClientException_1 = require("../shapes/ThrottledClientException");
var ServiceUnavailableException_1 = require("../shapes/ServiceUnavailableException");
var ServiceFailureException_1 = require("../shapes/ServiceFailureException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.AssociatePhoneNumbersWithVoiceConnector = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "AssociatePhoneNumbersWithVoiceConnector",
    http: {
        method: "POST",
        requestUri: "/voice-connectors/{voiceConnectorId}?operation=associate-phone-numbers"
    },
    input: {
        shape: AssociatePhoneNumbersWithVoiceConnectorInput_1.AssociatePhoneNumbersWithVoiceConnectorInput
    },
    output: {
        shape: AssociatePhoneNumbersWithVoiceConnectorOutput_1.AssociatePhoneNumbersWithVoiceConnectorOutput
    },
    errors: [
        {
            shape: UnauthorizedClientException_1.UnauthorizedClientException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: ForbiddenException_1.ForbiddenException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: ThrottledClientException_1.ThrottledClientException
        },
        {
            shape: ServiceUnavailableException_1.ServiceUnavailableException
        },
        {
            shape: ServiceFailureException_1.ServiceFailureException
        }
    ]
};
//# sourceMappingURL=AssociatePhoneNumbersWithVoiceConnector.js.map