"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var BatchDeletePhoneNumberInput_1 = require("../shapes/BatchDeletePhoneNumberInput");
var BatchDeletePhoneNumberOutput_1 = require("../shapes/BatchDeletePhoneNumberOutput");
var UnauthorizedClientException_1 = require("../shapes/UnauthorizedClientException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var ForbiddenException_1 = require("../shapes/ForbiddenException");
var BadRequestException_1 = require("../shapes/BadRequestException");
var ThrottledClientException_1 = require("../shapes/ThrottledClientException");
var ServiceUnavailableException_1 = require("../shapes/ServiceUnavailableException");
var ServiceFailureException_1 = require("../shapes/ServiceFailureException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.BatchDeletePhoneNumber = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "BatchDeletePhoneNumber",
    http: {
        method: "POST",
        requestUri: "/phone-numbers?operation=batch-delete"
    },
    input: {
        shape: BatchDeletePhoneNumberInput_1.BatchDeletePhoneNumberInput
    },
    output: {
        shape: BatchDeletePhoneNumberOutput_1.BatchDeletePhoneNumberOutput
    },
    errors: [
        {
            shape: UnauthorizedClientException_1.UnauthorizedClientException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: ForbiddenException_1.ForbiddenException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: ThrottledClientException_1.ThrottledClientException
        },
        {
            shape: ServiceUnavailableException_1.ServiceUnavailableException
        },
        {
            shape: ServiceFailureException_1.ServiceFailureException
        }
    ]
};
//# sourceMappingURL=BatchDeletePhoneNumber.js.map