"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var BatchSuspendUserInput_1 = require("../shapes/BatchSuspendUserInput");
var BatchSuspendUserOutput_1 = require("../shapes/BatchSuspendUserOutput");
var UnauthorizedClientException_1 = require("../shapes/UnauthorizedClientException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var ForbiddenException_1 = require("../shapes/ForbiddenException");
var BadRequestException_1 = require("../shapes/BadRequestException");
var ThrottledClientException_1 = require("../shapes/ThrottledClientException");
var ServiceUnavailableException_1 = require("../shapes/ServiceUnavailableException");
var ServiceFailureException_1 = require("../shapes/ServiceFailureException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.BatchSuspendUser = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "BatchSuspendUser",
    http: {
        method: "POST",
        requestUri: "/accounts/{accountId}/users?operation=suspend"
    },
    input: {
        shape: BatchSuspendUserInput_1.BatchSuspendUserInput
    },
    output: {
        shape: BatchSuspendUserOutput_1.BatchSuspendUserOutput
    },
    errors: [
        {
            shape: UnauthorizedClientException_1.UnauthorizedClientException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: ForbiddenException_1.ForbiddenException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: ThrottledClientException_1.ThrottledClientException
        },
        {
            shape: ServiceUnavailableException_1.ServiceUnavailableException
        },
        {
            shape: ServiceFailureException_1.ServiceFailureException
        }
    ]
};
//# sourceMappingURL=BatchSuspendUser.js.map