"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var BatchUpdatePhoneNumberInput_1 = require("../shapes/BatchUpdatePhoneNumberInput");
var BatchUpdatePhoneNumberOutput_1 = require("../shapes/BatchUpdatePhoneNumberOutput");
var UnauthorizedClientException_1 = require("../shapes/UnauthorizedClientException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var ForbiddenException_1 = require("../shapes/ForbiddenException");
var BadRequestException_1 = require("../shapes/BadRequestException");
var ThrottledClientException_1 = require("../shapes/ThrottledClientException");
var ServiceUnavailableException_1 = require("../shapes/ServiceUnavailableException");
var ServiceFailureException_1 = require("../shapes/ServiceFailureException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.BatchUpdatePhoneNumber = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "BatchUpdatePhoneNumber",
    http: {
        method: "POST",
        requestUri: "/phone-numbers?operation=batch-update"
    },
    input: {
        shape: BatchUpdatePhoneNumberInput_1.BatchUpdatePhoneNumberInput
    },
    output: {
        shape: BatchUpdatePhoneNumberOutput_1.BatchUpdatePhoneNumberOutput
    },
    errors: [
        {
            shape: UnauthorizedClientException_1.UnauthorizedClientException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: ForbiddenException_1.ForbiddenException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: ThrottledClientException_1.ThrottledClientException
        },
        {
            shape: ServiceUnavailableException_1.ServiceUnavailableException
        },
        {
            shape: ServiceFailureException_1.ServiceFailureException
        }
    ]
};
//# sourceMappingURL=BatchUpdatePhoneNumber.js.map