"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var BatchUpdateUserInput_1 = require("../shapes/BatchUpdateUserInput");
var BatchUpdateUserOutput_1 = require("../shapes/BatchUpdateUserOutput");
var UnauthorizedClientException_1 = require("../shapes/UnauthorizedClientException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var ForbiddenException_1 = require("../shapes/ForbiddenException");
var BadRequestException_1 = require("../shapes/BadRequestException");
var ThrottledClientException_1 = require("../shapes/ThrottledClientException");
var ServiceUnavailableException_1 = require("../shapes/ServiceUnavailableException");
var ServiceFailureException_1 = require("../shapes/ServiceFailureException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.BatchUpdateUser = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "BatchUpdateUser",
    http: {
        method: "POST",
        requestUri: "/accounts/{accountId}/users"
    },
    input: {
        shape: BatchUpdateUserInput_1.BatchUpdateUserInput
    },
    output: {
        shape: BatchUpdateUserOutput_1.BatchUpdateUserOutput
    },
    errors: [
        {
            shape: UnauthorizedClientException_1.UnauthorizedClientException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: ForbiddenException_1.ForbiddenException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: ThrottledClientException_1.ThrottledClientException
        },
        {
            shape: ServiceUnavailableException_1.ServiceUnavailableException
        },
        {
            shape: ServiceFailureException_1.ServiceFailureException
        }
    ]
};
//# sourceMappingURL=BatchUpdateUser.js.map