"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CreateBotInput_1 = require("../shapes/CreateBotInput");
var CreateBotOutput_1 = require("../shapes/CreateBotOutput");
var ServiceUnavailableException_1 = require("../shapes/ServiceUnavailableException");
var ServiceFailureException_1 = require("../shapes/ServiceFailureException");
var ForbiddenException_1 = require("../shapes/ForbiddenException");
var BadRequestException_1 = require("../shapes/BadRequestException");
var UnauthorizedClientException_1 = require("../shapes/UnauthorizedClientException");
var ResourceLimitExceededException_1 = require("../shapes/ResourceLimitExceededException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateBot = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateBot",
    http: {
        method: "POST",
        requestUri: "/accounts/{accountId}/bots"
    },
    input: {
        shape: CreateBotInput_1.CreateBotInput
    },
    output: {
        shape: CreateBotOutput_1.CreateBotOutput
    },
    errors: [
        {
            shape: ServiceUnavailableException_1.ServiceUnavailableException
        },
        {
            shape: ServiceFailureException_1.ServiceFailureException
        },
        {
            shape: ForbiddenException_1.ForbiddenException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: UnauthorizedClientException_1.UnauthorizedClientException
        },
        {
            shape: ResourceLimitExceededException_1.ResourceLimitExceededException
        },
        {
            shape: NotFoundException_1.NotFoundException
        }
    ]
};
//# sourceMappingURL=CreateBot.js.map