"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CreatePhoneNumberOrderInput_1 = require("../shapes/CreatePhoneNumberOrderInput");
var CreatePhoneNumberOrderOutput_1 = require("../shapes/CreatePhoneNumberOrderOutput");
var UnauthorizedClientException_1 = require("../shapes/UnauthorizedClientException");
var ForbiddenException_1 = require("../shapes/ForbiddenException");
var BadRequestException_1 = require("../shapes/BadRequestException");
var ThrottledClientException_1 = require("../shapes/ThrottledClientException");
var ServiceUnavailableException_1 = require("../shapes/ServiceUnavailableException");
var ServiceFailureException_1 = require("../shapes/ServiceFailureException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreatePhoneNumberOrder = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreatePhoneNumberOrder",
    http: {
        method: "POST",
        requestUri: "/phone-number-orders"
    },
    input: {
        shape: CreatePhoneNumberOrderInput_1.CreatePhoneNumberOrderInput
    },
    output: {
        shape: CreatePhoneNumberOrderOutput_1.CreatePhoneNumberOrderOutput
    },
    errors: [
        {
            shape: UnauthorizedClientException_1.UnauthorizedClientException
        },
        {
            shape: ForbiddenException_1.ForbiddenException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: ThrottledClientException_1.ThrottledClientException
        },
        {
            shape: ServiceUnavailableException_1.ServiceUnavailableException
        },
        {
            shape: ServiceFailureException_1.ServiceFailureException
        }
    ]
};
//# sourceMappingURL=CreatePhoneNumberOrder.js.map