"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CreateVoiceConnectorInput_1 = require("../shapes/CreateVoiceConnectorInput");
var CreateVoiceConnectorOutput_1 = require("../shapes/CreateVoiceConnectorOutput");
var UnauthorizedClientException_1 = require("../shapes/UnauthorizedClientException");
var ForbiddenException_1 = require("../shapes/ForbiddenException");
var BadRequestException_1 = require("../shapes/BadRequestException");
var ThrottledClientException_1 = require("../shapes/ThrottledClientException");
var ServiceUnavailableException_1 = require("../shapes/ServiceUnavailableException");
var ServiceFailureException_1 = require("../shapes/ServiceFailureException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateVoiceConnector = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateVoiceConnector",
    http: {
        method: "POST",
        requestUri: "/voice-connectors"
    },
    input: {
        shape: CreateVoiceConnectorInput_1.CreateVoiceConnectorInput
    },
    output: {
        shape: CreateVoiceConnectorOutput_1.CreateVoiceConnectorOutput
    },
    errors: [
        {
            shape: UnauthorizedClientException_1.UnauthorizedClientException
        },
        {
            shape: ForbiddenException_1.ForbiddenException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: ThrottledClientException_1.ThrottledClientException
        },
        {
            shape: ServiceUnavailableException_1.ServiceUnavailableException
        },
        {
            shape: ServiceFailureException_1.ServiceFailureException
        }
    ]
};
//# sourceMappingURL=CreateVoiceConnector.js.map