"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteAccountInput_1 = require("../shapes/DeleteAccountInput");
var DeleteAccountOutput_1 = require("../shapes/DeleteAccountOutput");
var UnauthorizedClientException_1 = require("../shapes/UnauthorizedClientException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var ForbiddenException_1 = require("../shapes/ForbiddenException");
var BadRequestException_1 = require("../shapes/BadRequestException");
var ThrottledClientException_1 = require("../shapes/ThrottledClientException");
var UnprocessableEntityException_1 = require("../shapes/UnprocessableEntityException");
var ServiceUnavailableException_1 = require("../shapes/ServiceUnavailableException");
var ServiceFailureException_1 = require("../shapes/ServiceFailureException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteAccount = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteAccount",
    http: {
        method: "DELETE",
        requestUri: "/accounts/{accountId}"
    },
    input: {
        shape: DeleteAccountInput_1.DeleteAccountInput
    },
    output: {
        shape: DeleteAccountOutput_1.DeleteAccountOutput
    },
    errors: [
        {
            shape: UnauthorizedClientException_1.UnauthorizedClientException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: ForbiddenException_1.ForbiddenException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: ThrottledClientException_1.ThrottledClientException
        },
        {
            shape: UnprocessableEntityException_1.UnprocessableEntityException
        },
        {
            shape: ServiceUnavailableException_1.ServiceUnavailableException
        },
        {
            shape: ServiceFailureException_1.ServiceFailureException
        }
    ]
};
//# sourceMappingURL=DeleteAccount.js.map