"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteEventsConfigurationInput_1 = require("../shapes/DeleteEventsConfigurationInput");
var DeleteEventsConfigurationOutput_1 = require("../shapes/DeleteEventsConfigurationOutput");
var ServiceUnavailableException_1 = require("../shapes/ServiceUnavailableException");
var ServiceFailureException_1 = require("../shapes/ServiceFailureException");
var ForbiddenException_1 = require("../shapes/ForbiddenException");
var BadRequestException_1 = require("../shapes/BadRequestException");
var UnauthorizedClientException_1 = require("../shapes/UnauthorizedClientException");
var ResourceLimitExceededException_1 = require("../shapes/ResourceLimitExceededException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteEventsConfiguration = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteEventsConfiguration",
    http: {
        method: "DELETE",
        requestUri: "/accounts/{accountId}/bots/{botId}/events-configuration"
    },
    input: {
        shape: DeleteEventsConfigurationInput_1.DeleteEventsConfigurationInput
    },
    output: {
        shape: DeleteEventsConfigurationOutput_1.DeleteEventsConfigurationOutput
    },
    errors: [
        {
            shape: ServiceUnavailableException_1.ServiceUnavailableException
        },
        {
            shape: ServiceFailureException_1.ServiceFailureException
        },
        {
            shape: ForbiddenException_1.ForbiddenException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: UnauthorizedClientException_1.UnauthorizedClientException
        },
        {
            shape: ResourceLimitExceededException_1.ResourceLimitExceededException
        }
    ]
};
//# sourceMappingURL=DeleteEventsConfiguration.js.map