"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeletePhoneNumberInput_1 = require("../shapes/DeletePhoneNumberInput");
var DeletePhoneNumberOutput_1 = require("../shapes/DeletePhoneNumberOutput");
var UnauthorizedClientException_1 = require("../shapes/UnauthorizedClientException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var ForbiddenException_1 = require("../shapes/ForbiddenException");
var BadRequestException_1 = require("../shapes/BadRequestException");
var ThrottledClientException_1 = require("../shapes/ThrottledClientException");
var ServiceUnavailableException_1 = require("../shapes/ServiceUnavailableException");
var ServiceFailureException_1 = require("../shapes/ServiceFailureException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeletePhoneNumber = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeletePhoneNumber",
    http: {
        method: "DELETE",
        requestUri: "/phone-numbers/{phoneNumberId}"
    },
    input: {
        shape: DeletePhoneNumberInput_1.DeletePhoneNumberInput
    },
    output: {
        shape: DeletePhoneNumberOutput_1.DeletePhoneNumberOutput
    },
    errors: [
        {
            shape: UnauthorizedClientException_1.UnauthorizedClientException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: ForbiddenException_1.ForbiddenException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: ThrottledClientException_1.ThrottledClientException
        },
        {
            shape: ServiceUnavailableException_1.ServiceUnavailableException
        },
        {
            shape: ServiceFailureException_1.ServiceFailureException
        }
    ]
};
//# sourceMappingURL=DeletePhoneNumber.js.map