"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteVoiceConnectorInput_1 = require("../shapes/DeleteVoiceConnectorInput");
var DeleteVoiceConnectorOutput_1 = require("../shapes/DeleteVoiceConnectorOutput");
var UnauthorizedClientException_1 = require("../shapes/UnauthorizedClientException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var ForbiddenException_1 = require("../shapes/ForbiddenException");
var BadRequestException_1 = require("../shapes/BadRequestException");
var ThrottledClientException_1 = require("../shapes/ThrottledClientException");
var ServiceUnavailableException_1 = require("../shapes/ServiceUnavailableException");
var ServiceFailureException_1 = require("../shapes/ServiceFailureException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteVoiceConnector = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteVoiceConnector",
    http: {
        method: "DELETE",
        requestUri: "/voice-connectors/{voiceConnectorId}"
    },
    input: {
        shape: DeleteVoiceConnectorInput_1.DeleteVoiceConnectorInput
    },
    output: {
        shape: DeleteVoiceConnectorOutput_1.DeleteVoiceConnectorOutput
    },
    errors: [
        {
            shape: UnauthorizedClientException_1.UnauthorizedClientException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: ForbiddenException_1.ForbiddenException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: ThrottledClientException_1.ThrottledClientException
        },
        {
            shape: ServiceUnavailableException_1.ServiceUnavailableException
        },
        {
            shape: ServiceFailureException_1.ServiceFailureException
        }
    ]
};
//# sourceMappingURL=DeleteVoiceConnector.js.map