"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteVoiceConnectorTerminationCredentialsInput_1 = require("../shapes/DeleteVoiceConnectorTerminationCredentialsInput");
var DeleteVoiceConnectorTerminationCredentialsOutput_1 = require("../shapes/DeleteVoiceConnectorTerminationCredentialsOutput");
var UnauthorizedClientException_1 = require("../shapes/UnauthorizedClientException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var ForbiddenException_1 = require("../shapes/ForbiddenException");
var BadRequestException_1 = require("../shapes/BadRequestException");
var ThrottledClientException_1 = require("../shapes/ThrottledClientException");
var ServiceUnavailableException_1 = require("../shapes/ServiceUnavailableException");
var ServiceFailureException_1 = require("../shapes/ServiceFailureException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteVoiceConnectorTerminationCredentials = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteVoiceConnectorTerminationCredentials",
    http: {
        method: "POST",
        requestUri: "/voice-connectors/{voiceConnectorId}/termination/credentials?operation=delete"
    },
    input: {
        shape: DeleteVoiceConnectorTerminationCredentialsInput_1.DeleteVoiceConnectorTerminationCredentialsInput
    },
    output: {
        shape: DeleteVoiceConnectorTerminationCredentialsOutput_1.DeleteVoiceConnectorTerminationCredentialsOutput
    },
    errors: [
        {
            shape: UnauthorizedClientException_1.UnauthorizedClientException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: ForbiddenException_1.ForbiddenException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: ThrottledClientException_1.ThrottledClientException
        },
        {
            shape: ServiceUnavailableException_1.ServiceUnavailableException
        },
        {
            shape: ServiceFailureException_1.ServiceFailureException
        }
    ]
};
//# sourceMappingURL=DeleteVoiceConnectorTerminationCredentials.js.map