"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DisassociatePhoneNumberFromUserInput_1 = require("../shapes/DisassociatePhoneNumberFromUserInput");
var DisassociatePhoneNumberFromUserOutput_1 = require("../shapes/DisassociatePhoneNumberFromUserOutput");
var UnauthorizedClientException_1 = require("../shapes/UnauthorizedClientException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var ForbiddenException_1 = require("../shapes/ForbiddenException");
var BadRequestException_1 = require("../shapes/BadRequestException");
var ThrottledClientException_1 = require("../shapes/ThrottledClientException");
var ServiceUnavailableException_1 = require("../shapes/ServiceUnavailableException");
var ServiceFailureException_1 = require("../shapes/ServiceFailureException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DisassociatePhoneNumberFromUser = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DisassociatePhoneNumberFromUser",
    http: {
        method: "POST",
        requestUri: "/accounts/{accountId}/users/{userId}?operation=disassociate-phone-number"
    },
    input: {
        shape: DisassociatePhoneNumberFromUserInput_1.DisassociatePhoneNumberFromUserInput
    },
    output: {
        shape: DisassociatePhoneNumberFromUserOutput_1.DisassociatePhoneNumberFromUserOutput
    },
    errors: [
        {
            shape: UnauthorizedClientException_1.UnauthorizedClientException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: ForbiddenException_1.ForbiddenException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: ThrottledClientException_1.ThrottledClientException
        },
        {
            shape: ServiceUnavailableException_1.ServiceUnavailableException
        },
        {
            shape: ServiceFailureException_1.ServiceFailureException
        }
    ]
};
//# sourceMappingURL=DisassociatePhoneNumberFromUser.js.map