"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DisassociatePhoneNumbersFromVoiceConnectorInput_1 = require("../shapes/DisassociatePhoneNumbersFromVoiceConnectorInput");
var DisassociatePhoneNumbersFromVoiceConnectorOutput_1 = require("../shapes/DisassociatePhoneNumbersFromVoiceConnectorOutput");
var UnauthorizedClientException_1 = require("../shapes/UnauthorizedClientException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var ForbiddenException_1 = require("../shapes/ForbiddenException");
var BadRequestException_1 = require("../shapes/BadRequestException");
var ThrottledClientException_1 = require("../shapes/ThrottledClientException");
var ServiceUnavailableException_1 = require("../shapes/ServiceUnavailableException");
var ServiceFailureException_1 = require("../shapes/ServiceFailureException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DisassociatePhoneNumbersFromVoiceConnector = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DisassociatePhoneNumbersFromVoiceConnector",
    http: {
        method: "POST",
        requestUri: "/voice-connectors/{voiceConnectorId}?operation=disassociate-phone-numbers"
    },
    input: {
        shape: DisassociatePhoneNumbersFromVoiceConnectorInput_1.DisassociatePhoneNumbersFromVoiceConnectorInput
    },
    output: {
        shape: DisassociatePhoneNumbersFromVoiceConnectorOutput_1.DisassociatePhoneNumbersFromVoiceConnectorOutput
    },
    errors: [
        {
            shape: UnauthorizedClientException_1.UnauthorizedClientException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: ForbiddenException_1.ForbiddenException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: ThrottledClientException_1.ThrottledClientException
        },
        {
            shape: ServiceUnavailableException_1.ServiceUnavailableException
        },
        {
            shape: ServiceFailureException_1.ServiceFailureException
        }
    ]
};
//# sourceMappingURL=DisassociatePhoneNumbersFromVoiceConnector.js.map