"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetAccountInput_1 = require("../shapes/GetAccountInput");
var GetAccountOutput_1 = require("../shapes/GetAccountOutput");
var UnauthorizedClientException_1 = require("../shapes/UnauthorizedClientException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var ForbiddenException_1 = require("../shapes/ForbiddenException");
var BadRequestException_1 = require("../shapes/BadRequestException");
var ThrottledClientException_1 = require("../shapes/ThrottledClientException");
var ServiceUnavailableException_1 = require("../shapes/ServiceUnavailableException");
var ServiceFailureException_1 = require("../shapes/ServiceFailureException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetAccount = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetAccount",
    http: {
        method: "GET",
        requestUri: "/accounts/{accountId}"
    },
    input: {
        shape: GetAccountInput_1.GetAccountInput
    },
    output: {
        shape: GetAccountOutput_1.GetAccountOutput
    },
    errors: [
        {
            shape: UnauthorizedClientException_1.UnauthorizedClientException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: ForbiddenException_1.ForbiddenException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: ThrottledClientException_1.ThrottledClientException
        },
        {
            shape: ServiceUnavailableException_1.ServiceUnavailableException
        },
        {
            shape: ServiceFailureException_1.ServiceFailureException
        }
    ]
};
//# sourceMappingURL=GetAccount.js.map