"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetAccountSettingsInput_1 = require("../shapes/GetAccountSettingsInput");
var GetAccountSettingsOutput_1 = require("../shapes/GetAccountSettingsOutput");
var UnauthorizedClientException_1 = require("../shapes/UnauthorizedClientException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var BadRequestException_1 = require("../shapes/BadRequestException");
var ForbiddenException_1 = require("../shapes/ForbiddenException");
var ThrottledClientException_1 = require("../shapes/ThrottledClientException");
var ServiceUnavailableException_1 = require("../shapes/ServiceUnavailableException");
var ServiceFailureException_1 = require("../shapes/ServiceFailureException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetAccountSettings = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetAccountSettings",
    http: {
        method: "GET",
        requestUri: "/accounts/{accountId}/settings"
    },
    input: {
        shape: GetAccountSettingsInput_1.GetAccountSettingsInput
    },
    output: {
        shape: GetAccountSettingsOutput_1.GetAccountSettingsOutput
    },
    errors: [
        {
            shape: UnauthorizedClientException_1.UnauthorizedClientException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: ForbiddenException_1.ForbiddenException
        },
        {
            shape: ThrottledClientException_1.ThrottledClientException
        },
        {
            shape: ServiceUnavailableException_1.ServiceUnavailableException
        },
        {
            shape: ServiceFailureException_1.ServiceFailureException
        }
    ]
};
//# sourceMappingURL=GetAccountSettings.js.map