"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetBotInput_1 = require("../shapes/GetBotInput");
var GetBotOutput_1 = require("../shapes/GetBotOutput");
var ServiceUnavailableException_1 = require("../shapes/ServiceUnavailableException");
var ServiceFailureException_1 = require("../shapes/ServiceFailureException");
var ForbiddenException_1 = require("../shapes/ForbiddenException");
var UnauthorizedClientException_1 = require("../shapes/UnauthorizedClientException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var BadRequestException_1 = require("../shapes/BadRequestException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetBot = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetBot",
    http: {
        method: "GET",
        requestUri: "/accounts/{accountId}/bots/{botId}"
    },
    input: {
        shape: GetBotInput_1.GetBotInput
    },
    output: {
        shape: GetBotOutput_1.GetBotOutput
    },
    errors: [
        {
            shape: ServiceUnavailableException_1.ServiceUnavailableException
        },
        {
            shape: ServiceFailureException_1.ServiceFailureException
        },
        {
            shape: ForbiddenException_1.ForbiddenException
        },
        {
            shape: UnauthorizedClientException_1.UnauthorizedClientException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: BadRequestException_1.BadRequestException
        }
    ]
};
//# sourceMappingURL=GetBot.js.map