"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetEventsConfigurationInput_1 = require("../shapes/GetEventsConfigurationInput");
var GetEventsConfigurationOutput_1 = require("../shapes/GetEventsConfigurationOutput");
var ServiceUnavailableException_1 = require("../shapes/ServiceUnavailableException");
var ServiceFailureException_1 = require("../shapes/ServiceFailureException");
var ForbiddenException_1 = require("../shapes/ForbiddenException");
var BadRequestException_1 = require("../shapes/BadRequestException");
var UnauthorizedClientException_1 = require("../shapes/UnauthorizedClientException");
var ResourceLimitExceededException_1 = require("../shapes/ResourceLimitExceededException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetEventsConfiguration = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetEventsConfiguration",
    http: {
        method: "GET",
        requestUri: "/accounts/{accountId}/bots/{botId}/events-configuration"
    },
    input: {
        shape: GetEventsConfigurationInput_1.GetEventsConfigurationInput
    },
    output: {
        shape: GetEventsConfigurationOutput_1.GetEventsConfigurationOutput
    },
    errors: [
        {
            shape: ServiceUnavailableException_1.ServiceUnavailableException
        },
        {
            shape: ServiceFailureException_1.ServiceFailureException
        },
        {
            shape: ForbiddenException_1.ForbiddenException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: UnauthorizedClientException_1.UnauthorizedClientException
        },
        {
            shape: ResourceLimitExceededException_1.ResourceLimitExceededException
        },
        {
            shape: NotFoundException_1.NotFoundException
        }
    ]
};
//# sourceMappingURL=GetEventsConfiguration.js.map