"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetGlobalSettingsInput_1 = require("../shapes/GetGlobalSettingsInput");
var GetGlobalSettingsOutput_1 = require("../shapes/GetGlobalSettingsOutput");
var UnauthorizedClientException_1 = require("../shapes/UnauthorizedClientException");
var ForbiddenException_1 = require("../shapes/ForbiddenException");
var BadRequestException_1 = require("../shapes/BadRequestException");
var ThrottledClientException_1 = require("../shapes/ThrottledClientException");
var ServiceUnavailableException_1 = require("../shapes/ServiceUnavailableException");
var ServiceFailureException_1 = require("../shapes/ServiceFailureException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetGlobalSettings = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetGlobalSettings",
    http: {
        method: "GET",
        requestUri: "/settings"
    },
    input: {
        shape: GetGlobalSettingsInput_1.GetGlobalSettingsInput
    },
    output: {
        shape: GetGlobalSettingsOutput_1.GetGlobalSettingsOutput
    },
    errors: [
        {
            shape: UnauthorizedClientException_1.UnauthorizedClientException
        },
        {
            shape: ForbiddenException_1.ForbiddenException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: ThrottledClientException_1.ThrottledClientException
        },
        {
            shape: ServiceUnavailableException_1.ServiceUnavailableException
        },
        {
            shape: ServiceFailureException_1.ServiceFailureException
        }
    ]
};
//# sourceMappingURL=GetGlobalSettings.js.map