"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetPhoneNumberOrderInput_1 = require("../shapes/GetPhoneNumberOrderInput");
var GetPhoneNumberOrderOutput_1 = require("../shapes/GetPhoneNumberOrderOutput");
var UnauthorizedClientException_1 = require("../shapes/UnauthorizedClientException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var ForbiddenException_1 = require("../shapes/ForbiddenException");
var BadRequestException_1 = require("../shapes/BadRequestException");
var ThrottledClientException_1 = require("../shapes/ThrottledClientException");
var ServiceUnavailableException_1 = require("../shapes/ServiceUnavailableException");
var ServiceFailureException_1 = require("../shapes/ServiceFailureException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetPhoneNumberOrder = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetPhoneNumberOrder",
    http: {
        method: "GET",
        requestUri: "/phone-number-orders/{phoneNumberOrderId}"
    },
    input: {
        shape: GetPhoneNumberOrderInput_1.GetPhoneNumberOrderInput
    },
    output: {
        shape: GetPhoneNumberOrderOutput_1.GetPhoneNumberOrderOutput
    },
    errors: [
        {
            shape: UnauthorizedClientException_1.UnauthorizedClientException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: ForbiddenException_1.ForbiddenException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: ThrottledClientException_1.ThrottledClientException
        },
        {
            shape: ServiceUnavailableException_1.ServiceUnavailableException
        },
        {
            shape: ServiceFailureException_1.ServiceFailureException
        }
    ]
};
//# sourceMappingURL=GetPhoneNumberOrder.js.map