"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetUserSettingsInput_1 = require("../shapes/GetUserSettingsInput");
var GetUserSettingsOutput_1 = require("../shapes/GetUserSettingsOutput");
var UnauthorizedClientException_1 = require("../shapes/UnauthorizedClientException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var ForbiddenException_1 = require("../shapes/ForbiddenException");
var BadRequestException_1 = require("../shapes/BadRequestException");
var ThrottledClientException_1 = require("../shapes/ThrottledClientException");
var ServiceUnavailableException_1 = require("../shapes/ServiceUnavailableException");
var ServiceFailureException_1 = require("../shapes/ServiceFailureException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetUserSettings = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetUserSettings",
    http: {
        method: "GET",
        requestUri: "/accounts/{accountId}/users/{userId}/settings"
    },
    input: {
        shape: GetUserSettingsInput_1.GetUserSettingsInput
    },
    output: {
        shape: GetUserSettingsOutput_1.GetUserSettingsOutput
    },
    errors: [
        {
            shape: UnauthorizedClientException_1.UnauthorizedClientException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: ForbiddenException_1.ForbiddenException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: ThrottledClientException_1.ThrottledClientException
        },
        {
            shape: ServiceUnavailableException_1.ServiceUnavailableException
        },
        {
            shape: ServiceFailureException_1.ServiceFailureException
        }
    ]
};
//# sourceMappingURL=GetUserSettings.js.map