"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetVoiceConnectorOriginationInput_1 = require("../shapes/GetVoiceConnectorOriginationInput");
var GetVoiceConnectorOriginationOutput_1 = require("../shapes/GetVoiceConnectorOriginationOutput");
var UnauthorizedClientException_1 = require("../shapes/UnauthorizedClientException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var ForbiddenException_1 = require("../shapes/ForbiddenException");
var BadRequestException_1 = require("../shapes/BadRequestException");
var ThrottledClientException_1 = require("../shapes/ThrottledClientException");
var ServiceUnavailableException_1 = require("../shapes/ServiceUnavailableException");
var ServiceFailureException_1 = require("../shapes/ServiceFailureException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetVoiceConnectorOrigination = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetVoiceConnectorOrigination",
    http: {
        method: "GET",
        requestUri: "/voice-connectors/{voiceConnectorId}/origination"
    },
    input: {
        shape: GetVoiceConnectorOriginationInput_1.GetVoiceConnectorOriginationInput
    },
    output: {
        shape: GetVoiceConnectorOriginationOutput_1.GetVoiceConnectorOriginationOutput
    },
    errors: [
        {
            shape: UnauthorizedClientException_1.UnauthorizedClientException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: ForbiddenException_1.ForbiddenException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: ThrottledClientException_1.ThrottledClientException
        },
        {
            shape: ServiceUnavailableException_1.ServiceUnavailableException
        },
        {
            shape: ServiceFailureException_1.ServiceFailureException
        }
    ]
};
//# sourceMappingURL=GetVoiceConnectorOrigination.js.map