"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetVoiceConnectorTerminationInput_1 = require("../shapes/GetVoiceConnectorTerminationInput");
var GetVoiceConnectorTerminationOutput_1 = require("../shapes/GetVoiceConnectorTerminationOutput");
var UnauthorizedClientException_1 = require("../shapes/UnauthorizedClientException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var ForbiddenException_1 = require("../shapes/ForbiddenException");
var BadRequestException_1 = require("../shapes/BadRequestException");
var ThrottledClientException_1 = require("../shapes/ThrottledClientException");
var ServiceUnavailableException_1 = require("../shapes/ServiceUnavailableException");
var ServiceFailureException_1 = require("../shapes/ServiceFailureException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetVoiceConnectorTermination = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetVoiceConnectorTermination",
    http: {
        method: "GET",
        requestUri: "/voice-connectors/{voiceConnectorId}/termination"
    },
    input: {
        shape: GetVoiceConnectorTerminationInput_1.GetVoiceConnectorTerminationInput
    },
    output: {
        shape: GetVoiceConnectorTerminationOutput_1.GetVoiceConnectorTerminationOutput
    },
    errors: [
        {
            shape: UnauthorizedClientException_1.UnauthorizedClientException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: ForbiddenException_1.ForbiddenException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: ThrottledClientException_1.ThrottledClientException
        },
        {
            shape: ServiceUnavailableException_1.ServiceUnavailableException
        },
        {
            shape: ServiceFailureException_1.ServiceFailureException
        }
    ]
};
//# sourceMappingURL=GetVoiceConnectorTermination.js.map