"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GetVoiceConnectorTerminationHealthInput_1 = require("../shapes/GetVoiceConnectorTerminationHealthInput");
var GetVoiceConnectorTerminationHealthOutput_1 = require("../shapes/GetVoiceConnectorTerminationHealthOutput");
var UnauthorizedClientException_1 = require("../shapes/UnauthorizedClientException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var ForbiddenException_1 = require("../shapes/ForbiddenException");
var BadRequestException_1 = require("../shapes/BadRequestException");
var ThrottledClientException_1 = require("../shapes/ThrottledClientException");
var ServiceUnavailableException_1 = require("../shapes/ServiceUnavailableException");
var ServiceFailureException_1 = require("../shapes/ServiceFailureException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetVoiceConnectorTerminationHealth = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetVoiceConnectorTerminationHealth",
    http: {
        method: "GET",
        requestUri: "/voice-connectors/{voiceConnectorId}/termination/health"
    },
    input: {
        shape: GetVoiceConnectorTerminationHealthInput_1.GetVoiceConnectorTerminationHealthInput
    },
    output: {
        shape: GetVoiceConnectorTerminationHealthOutput_1.GetVoiceConnectorTerminationHealthOutput
    },
    errors: [
        {
            shape: UnauthorizedClientException_1.UnauthorizedClientException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: ForbiddenException_1.ForbiddenException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: ThrottledClientException_1.ThrottledClientException
        },
        {
            shape: ServiceUnavailableException_1.ServiceUnavailableException
        },
        {
            shape: ServiceFailureException_1.ServiceFailureException
        }
    ]
};
//# sourceMappingURL=GetVoiceConnectorTerminationHealth.js.map