"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListAccountsInput_1 = require("../shapes/ListAccountsInput");
var ListAccountsOutput_1 = require("../shapes/ListAccountsOutput");
var UnauthorizedClientException_1 = require("../shapes/UnauthorizedClientException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var ForbiddenException_1 = require("../shapes/ForbiddenException");
var BadRequestException_1 = require("../shapes/BadRequestException");
var ThrottledClientException_1 = require("../shapes/ThrottledClientException");
var ServiceUnavailableException_1 = require("../shapes/ServiceUnavailableException");
var ServiceFailureException_1 = require("../shapes/ServiceFailureException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListAccounts = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListAccounts",
    http: {
        method: "GET",
        requestUri: "/accounts"
    },
    input: {
        shape: ListAccountsInput_1.ListAccountsInput
    },
    output: {
        shape: ListAccountsOutput_1.ListAccountsOutput
    },
    errors: [
        {
            shape: UnauthorizedClientException_1.UnauthorizedClientException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: ForbiddenException_1.ForbiddenException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: ThrottledClientException_1.ThrottledClientException
        },
        {
            shape: ServiceUnavailableException_1.ServiceUnavailableException
        },
        {
            shape: ServiceFailureException_1.ServiceFailureException
        }
    ]
};
//# sourceMappingURL=ListAccounts.js.map