"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListBotsInput_1 = require("../shapes/ListBotsInput");
var ListBotsOutput_1 = require("../shapes/ListBotsOutput");
var ServiceUnavailableException_1 = require("../shapes/ServiceUnavailableException");
var ServiceFailureException_1 = require("../shapes/ServiceFailureException");
var ForbiddenException_1 = require("../shapes/ForbiddenException");
var UnauthorizedClientException_1 = require("../shapes/UnauthorizedClientException");
var BadRequestException_1 = require("../shapes/BadRequestException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListBots = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListBots",
    http: {
        method: "GET",
        requestUri: "/accounts/{accountId}/bots"
    },
    input: {
        shape: ListBotsInput_1.ListBotsInput
    },
    output: {
        shape: ListBotsOutput_1.ListBotsOutput
    },
    errors: [
        {
            shape: ServiceUnavailableException_1.ServiceUnavailableException
        },
        {
            shape: ServiceFailureException_1.ServiceFailureException
        },
        {
            shape: ForbiddenException_1.ForbiddenException
        },
        {
            shape: UnauthorizedClientException_1.UnauthorizedClientException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: NotFoundException_1.NotFoundException
        }
    ]
};
//# sourceMappingURL=ListBots.js.map