"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListPhoneNumbersInput_1 = require("../shapes/ListPhoneNumbersInput");
var ListPhoneNumbersOutput_1 = require("../shapes/ListPhoneNumbersOutput");
var UnauthorizedClientException_1 = require("../shapes/UnauthorizedClientException");
var ForbiddenException_1 = require("../shapes/ForbiddenException");
var BadRequestException_1 = require("../shapes/BadRequestException");
var ThrottledClientException_1 = require("../shapes/ThrottledClientException");
var ServiceUnavailableException_1 = require("../shapes/ServiceUnavailableException");
var ServiceFailureException_1 = require("../shapes/ServiceFailureException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListPhoneNumbers = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListPhoneNumbers",
    http: {
        method: "GET",
        requestUri: "/phone-numbers"
    },
    input: {
        shape: ListPhoneNumbersInput_1.ListPhoneNumbersInput
    },
    output: {
        shape: ListPhoneNumbersOutput_1.ListPhoneNumbersOutput
    },
    errors: [
        {
            shape: UnauthorizedClientException_1.UnauthorizedClientException
        },
        {
            shape: ForbiddenException_1.ForbiddenException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: ThrottledClientException_1.ThrottledClientException
        },
        {
            shape: ServiceUnavailableException_1.ServiceUnavailableException
        },
        {
            shape: ServiceFailureException_1.ServiceFailureException
        }
    ]
};
//# sourceMappingURL=ListPhoneNumbers.js.map