"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListUsersInput_1 = require("../shapes/ListUsersInput");
var ListUsersOutput_1 = require("../shapes/ListUsersOutput");
var UnauthorizedClientException_1 = require("../shapes/UnauthorizedClientException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var ForbiddenException_1 = require("../shapes/ForbiddenException");
var BadRequestException_1 = require("../shapes/BadRequestException");
var ThrottledClientException_1 = require("../shapes/ThrottledClientException");
var ServiceUnavailableException_1 = require("../shapes/ServiceUnavailableException");
var ServiceFailureException_1 = require("../shapes/ServiceFailureException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListUsers = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListUsers",
    http: {
        method: "GET",
        requestUri: "/accounts/{accountId}/users"
    },
    input: {
        shape: ListUsersInput_1.ListUsersInput
    },
    output: {
        shape: ListUsersOutput_1.ListUsersOutput
    },
    errors: [
        {
            shape: UnauthorizedClientException_1.UnauthorizedClientException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: ForbiddenException_1.ForbiddenException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: ThrottledClientException_1.ThrottledClientException
        },
        {
            shape: ServiceUnavailableException_1.ServiceUnavailableException
        },
        {
            shape: ServiceFailureException_1.ServiceFailureException
        }
    ]
};
//# sourceMappingURL=ListUsers.js.map