"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListVoiceConnectorTerminationCredentialsInput_1 = require("../shapes/ListVoiceConnectorTerminationCredentialsInput");
var ListVoiceConnectorTerminationCredentialsOutput_1 = require("../shapes/ListVoiceConnectorTerminationCredentialsOutput");
var UnauthorizedClientException_1 = require("../shapes/UnauthorizedClientException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var ForbiddenException_1 = require("../shapes/ForbiddenException");
var BadRequestException_1 = require("../shapes/BadRequestException");
var ThrottledClientException_1 = require("../shapes/ThrottledClientException");
var ServiceUnavailableException_1 = require("../shapes/ServiceUnavailableException");
var ServiceFailureException_1 = require("../shapes/ServiceFailureException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListVoiceConnectorTerminationCredentials = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListVoiceConnectorTerminationCredentials",
    http: {
        method: "GET",
        requestUri: "/voice-connectors/{voiceConnectorId}/termination/credentials"
    },
    input: {
        shape: ListVoiceConnectorTerminationCredentialsInput_1.ListVoiceConnectorTerminationCredentialsInput
    },
    output: {
        shape: ListVoiceConnectorTerminationCredentialsOutput_1.ListVoiceConnectorTerminationCredentialsOutput
    },
    errors: [
        {
            shape: UnauthorizedClientException_1.UnauthorizedClientException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: ForbiddenException_1.ForbiddenException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: ThrottledClientException_1.ThrottledClientException
        },
        {
            shape: ServiceUnavailableException_1.ServiceUnavailableException
        },
        {
            shape: ServiceFailureException_1.ServiceFailureException
        }
    ]
};
//# sourceMappingURL=ListVoiceConnectorTerminationCredentials.js.map