"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListVoiceConnectorsInput_1 = require("../shapes/ListVoiceConnectorsInput");
var ListVoiceConnectorsOutput_1 = require("../shapes/ListVoiceConnectorsOutput");
var UnauthorizedClientException_1 = require("../shapes/UnauthorizedClientException");
var ForbiddenException_1 = require("../shapes/ForbiddenException");
var BadRequestException_1 = require("../shapes/BadRequestException");
var ThrottledClientException_1 = require("../shapes/ThrottledClientException");
var ServiceUnavailableException_1 = require("../shapes/ServiceUnavailableException");
var ServiceFailureException_1 = require("../shapes/ServiceFailureException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListVoiceConnectors = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListVoiceConnectors",
    http: {
        method: "GET",
        requestUri: "/voice-connectors"
    },
    input: {
        shape: ListVoiceConnectorsInput_1.ListVoiceConnectorsInput
    },
    output: {
        shape: ListVoiceConnectorsOutput_1.ListVoiceConnectorsOutput
    },
    errors: [
        {
            shape: UnauthorizedClientException_1.UnauthorizedClientException
        },
        {
            shape: ForbiddenException_1.ForbiddenException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: ThrottledClientException_1.ThrottledClientException
        },
        {
            shape: ServiceUnavailableException_1.ServiceUnavailableException
        },
        {
            shape: ServiceFailureException_1.ServiceFailureException
        }
    ]
};
//# sourceMappingURL=ListVoiceConnectors.js.map