"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var LogoutUserInput_1 = require("../shapes/LogoutUserInput");
var LogoutUserOutput_1 = require("../shapes/LogoutUserOutput");
var UnauthorizedClientException_1 = require("../shapes/UnauthorizedClientException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var ForbiddenException_1 = require("../shapes/ForbiddenException");
var BadRequestException_1 = require("../shapes/BadRequestException");
var ThrottledClientException_1 = require("../shapes/ThrottledClientException");
var ServiceUnavailableException_1 = require("../shapes/ServiceUnavailableException");
var ServiceFailureException_1 = require("../shapes/ServiceFailureException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.LogoutUser = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "LogoutUser",
    http: {
        method: "POST",
        requestUri: "/accounts/{accountId}/users/{userId}?operation=logout"
    },
    input: {
        shape: LogoutUserInput_1.LogoutUserInput
    },
    output: {
        shape: LogoutUserOutput_1.LogoutUserOutput
    },
    errors: [
        {
            shape: UnauthorizedClientException_1.UnauthorizedClientException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: ForbiddenException_1.ForbiddenException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: ThrottledClientException_1.ThrottledClientException
        },
        {
            shape: ServiceUnavailableException_1.ServiceUnavailableException
        },
        {
            shape: ServiceFailureException_1.ServiceFailureException
        }
    ]
};
//# sourceMappingURL=LogoutUser.js.map