"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var PutEventsConfigurationInput_1 = require("../shapes/PutEventsConfigurationInput");
var PutEventsConfigurationOutput_1 = require("../shapes/PutEventsConfigurationOutput");
var ServiceUnavailableException_1 = require("../shapes/ServiceUnavailableException");
var ServiceFailureException_1 = require("../shapes/ServiceFailureException");
var ForbiddenException_1 = require("../shapes/ForbiddenException");
var BadRequestException_1 = require("../shapes/BadRequestException");
var UnauthorizedClientException_1 = require("../shapes/UnauthorizedClientException");
var ResourceLimitExceededException_1 = require("../shapes/ResourceLimitExceededException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.PutEventsConfiguration = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "PutEventsConfiguration",
    http: {
        method: "PUT",
        requestUri: "/accounts/{accountId}/bots/{botId}/events-configuration"
    },
    input: {
        shape: PutEventsConfigurationInput_1.PutEventsConfigurationInput
    },
    output: {
        shape: PutEventsConfigurationOutput_1.PutEventsConfigurationOutput
    },
    errors: [
        {
            shape: ServiceUnavailableException_1.ServiceUnavailableException
        },
        {
            shape: ServiceFailureException_1.ServiceFailureException
        },
        {
            shape: ForbiddenException_1.ForbiddenException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: UnauthorizedClientException_1.UnauthorizedClientException
        },
        {
            shape: ResourceLimitExceededException_1.ResourceLimitExceededException
        },
        {
            shape: NotFoundException_1.NotFoundException
        }
    ]
};
//# sourceMappingURL=PutEventsConfiguration.js.map