"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var PutVoiceConnectorOriginationInput_1 = require("../shapes/PutVoiceConnectorOriginationInput");
var PutVoiceConnectorOriginationOutput_1 = require("../shapes/PutVoiceConnectorOriginationOutput");
var UnauthorizedClientException_1 = require("../shapes/UnauthorizedClientException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var ForbiddenException_1 = require("../shapes/ForbiddenException");
var BadRequestException_1 = require("../shapes/BadRequestException");
var ThrottledClientException_1 = require("../shapes/ThrottledClientException");
var ServiceUnavailableException_1 = require("../shapes/ServiceUnavailableException");
var ServiceFailureException_1 = require("../shapes/ServiceFailureException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.PutVoiceConnectorOrigination = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "PutVoiceConnectorOrigination",
    http: {
        method: "PUT",
        requestUri: "/voice-connectors/{voiceConnectorId}/origination"
    },
    input: {
        shape: PutVoiceConnectorOriginationInput_1.PutVoiceConnectorOriginationInput
    },
    output: {
        shape: PutVoiceConnectorOriginationOutput_1.PutVoiceConnectorOriginationOutput
    },
    errors: [
        {
            shape: UnauthorizedClientException_1.UnauthorizedClientException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: ForbiddenException_1.ForbiddenException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: ThrottledClientException_1.ThrottledClientException
        },
        {
            shape: ServiceUnavailableException_1.ServiceUnavailableException
        },
        {
            shape: ServiceFailureException_1.ServiceFailureException
        }
    ]
};
//# sourceMappingURL=PutVoiceConnectorOrigination.js.map