"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var PutVoiceConnectorTerminationInput_1 = require("../shapes/PutVoiceConnectorTerminationInput");
var PutVoiceConnectorTerminationOutput_1 = require("../shapes/PutVoiceConnectorTerminationOutput");
var UnauthorizedClientException_1 = require("../shapes/UnauthorizedClientException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var ForbiddenException_1 = require("../shapes/ForbiddenException");
var BadRequestException_1 = require("../shapes/BadRequestException");
var ThrottledClientException_1 = require("../shapes/ThrottledClientException");
var ServiceUnavailableException_1 = require("../shapes/ServiceUnavailableException");
var ServiceFailureException_1 = require("../shapes/ServiceFailureException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.PutVoiceConnectorTermination = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "PutVoiceConnectorTermination",
    http: {
        method: "PUT",
        requestUri: "/voice-connectors/{voiceConnectorId}/termination"
    },
    input: {
        shape: PutVoiceConnectorTerminationInput_1.PutVoiceConnectorTerminationInput
    },
    output: {
        shape: PutVoiceConnectorTerminationOutput_1.PutVoiceConnectorTerminationOutput
    },
    errors: [
        {
            shape: UnauthorizedClientException_1.UnauthorizedClientException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: ForbiddenException_1.ForbiddenException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: ThrottledClientException_1.ThrottledClientException
        },
        {
            shape: ServiceUnavailableException_1.ServiceUnavailableException
        },
        {
            shape: ServiceFailureException_1.ServiceFailureException
        }
    ]
};
//# sourceMappingURL=PutVoiceConnectorTermination.js.map