"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var PutVoiceConnectorTerminationCredentialsInput_1 = require("../shapes/PutVoiceConnectorTerminationCredentialsInput");
var PutVoiceConnectorTerminationCredentialsOutput_1 = require("../shapes/PutVoiceConnectorTerminationCredentialsOutput");
var UnauthorizedClientException_1 = require("../shapes/UnauthorizedClientException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var ForbiddenException_1 = require("../shapes/ForbiddenException");
var BadRequestException_1 = require("../shapes/BadRequestException");
var ThrottledClientException_1 = require("../shapes/ThrottledClientException");
var ServiceUnavailableException_1 = require("../shapes/ServiceUnavailableException");
var ServiceFailureException_1 = require("../shapes/ServiceFailureException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.PutVoiceConnectorTerminationCredentials = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "PutVoiceConnectorTerminationCredentials",
    http: {
        method: "POST",
        requestUri: "/voice-connectors/{voiceConnectorId}/termination/credentials?operation=put"
    },
    input: {
        shape: PutVoiceConnectorTerminationCredentialsInput_1.PutVoiceConnectorTerminationCredentialsInput
    },
    output: {
        shape: PutVoiceConnectorTerminationCredentialsOutput_1.PutVoiceConnectorTerminationCredentialsOutput
    },
    errors: [
        {
            shape: UnauthorizedClientException_1.UnauthorizedClientException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: ForbiddenException_1.ForbiddenException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: ThrottledClientException_1.ThrottledClientException
        },
        {
            shape: ServiceUnavailableException_1.ServiceUnavailableException
        },
        {
            shape: ServiceFailureException_1.ServiceFailureException
        }
    ]
};
//# sourceMappingURL=PutVoiceConnectorTerminationCredentials.js.map