"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var RegenerateSecurityTokenInput_1 = require("../shapes/RegenerateSecurityTokenInput");
var RegenerateSecurityTokenOutput_1 = require("../shapes/RegenerateSecurityTokenOutput");
var ServiceUnavailableException_1 = require("../shapes/ServiceUnavailableException");
var ServiceFailureException_1 = require("../shapes/ServiceFailureException");
var ForbiddenException_1 = require("../shapes/ForbiddenException");
var BadRequestException_1 = require("../shapes/BadRequestException");
var UnauthorizedClientException_1 = require("../shapes/UnauthorizedClientException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.RegenerateSecurityToken = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "RegenerateSecurityToken",
    http: {
        method: "POST",
        requestUri: "/accounts/{accountId}/bots/{botId}?operation=regenerate-security-token"
    },
    input: {
        shape: RegenerateSecurityTokenInput_1.RegenerateSecurityTokenInput
    },
    output: {
        shape: RegenerateSecurityTokenOutput_1.RegenerateSecurityTokenOutput
    },
    errors: [
        {
            shape: ServiceUnavailableException_1.ServiceUnavailableException
        },
        {
            shape: ServiceFailureException_1.ServiceFailureException
        },
        {
            shape: ForbiddenException_1.ForbiddenException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: UnauthorizedClientException_1.UnauthorizedClientException
        },
        {
            shape: NotFoundException_1.NotFoundException
        }
    ]
};
//# sourceMappingURL=RegenerateSecurityToken.js.map