"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var RestorePhoneNumberInput_1 = require("../shapes/RestorePhoneNumberInput");
var RestorePhoneNumberOutput_1 = require("../shapes/RestorePhoneNumberOutput");
var UnauthorizedClientException_1 = require("../shapes/UnauthorizedClientException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var ForbiddenException_1 = require("../shapes/ForbiddenException");
var BadRequestException_1 = require("../shapes/BadRequestException");
var ThrottledClientException_1 = require("../shapes/ThrottledClientException");
var ServiceUnavailableException_1 = require("../shapes/ServiceUnavailableException");
var ServiceFailureException_1 = require("../shapes/ServiceFailureException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.RestorePhoneNumber = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "RestorePhoneNumber",
    http: {
        method: "POST",
        requestUri: "/phone-numbers/{phoneNumberId}?operation=restore"
    },
    input: {
        shape: RestorePhoneNumberInput_1.RestorePhoneNumberInput
    },
    output: {
        shape: RestorePhoneNumberOutput_1.RestorePhoneNumberOutput
    },
    errors: [
        {
            shape: UnauthorizedClientException_1.UnauthorizedClientException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: ForbiddenException_1.ForbiddenException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: ThrottledClientException_1.ThrottledClientException
        },
        {
            shape: ServiceUnavailableException_1.ServiceUnavailableException
        },
        {
            shape: ServiceFailureException_1.ServiceFailureException
        }
    ]
};
//# sourceMappingURL=RestorePhoneNumber.js.map