"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var SearchAvailablePhoneNumbersInput_1 = require("../shapes/SearchAvailablePhoneNumbersInput");
var SearchAvailablePhoneNumbersOutput_1 = require("../shapes/SearchAvailablePhoneNumbersOutput");
var UnauthorizedClientException_1 = require("../shapes/UnauthorizedClientException");
var ForbiddenException_1 = require("../shapes/ForbiddenException");
var BadRequestException_1 = require("../shapes/BadRequestException");
var ThrottledClientException_1 = require("../shapes/ThrottledClientException");
var ServiceUnavailableException_1 = require("../shapes/ServiceUnavailableException");
var ServiceFailureException_1 = require("../shapes/ServiceFailureException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.SearchAvailablePhoneNumbers = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "SearchAvailablePhoneNumbers",
    http: {
        method: "GET",
        requestUri: "/search?type=phone-numbers"
    },
    input: {
        shape: SearchAvailablePhoneNumbersInput_1.SearchAvailablePhoneNumbersInput
    },
    output: {
        shape: SearchAvailablePhoneNumbersOutput_1.SearchAvailablePhoneNumbersOutput
    },
    errors: [
        {
            shape: UnauthorizedClientException_1.UnauthorizedClientException
        },
        {
            shape: ForbiddenException_1.ForbiddenException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: ThrottledClientException_1.ThrottledClientException
        },
        {
            shape: ServiceUnavailableException_1.ServiceUnavailableException
        },
        {
            shape: ServiceFailureException_1.ServiceFailureException
        }
    ]
};
//# sourceMappingURL=SearchAvailablePhoneNumbers.js.map