"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UpdateAccountInput_1 = require("../shapes/UpdateAccountInput");
var UpdateAccountOutput_1 = require("../shapes/UpdateAccountOutput");
var UnauthorizedClientException_1 = require("../shapes/UnauthorizedClientException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var ForbiddenException_1 = require("../shapes/ForbiddenException");
var BadRequestException_1 = require("../shapes/BadRequestException");
var ThrottledClientException_1 = require("../shapes/ThrottledClientException");
var ServiceUnavailableException_1 = require("../shapes/ServiceUnavailableException");
var ServiceFailureException_1 = require("../shapes/ServiceFailureException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdateAccount = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdateAccount",
    http: {
        method: "POST",
        requestUri: "/accounts/{accountId}"
    },
    input: {
        shape: UpdateAccountInput_1.UpdateAccountInput
    },
    output: {
        shape: UpdateAccountOutput_1.UpdateAccountOutput
    },
    errors: [
        {
            shape: UnauthorizedClientException_1.UnauthorizedClientException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: ForbiddenException_1.ForbiddenException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: ThrottledClientException_1.ThrottledClientException
        },
        {
            shape: ServiceUnavailableException_1.ServiceUnavailableException
        },
        {
            shape: ServiceFailureException_1.ServiceFailureException
        }
    ]
};
//# sourceMappingURL=UpdateAccount.js.map