"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UpdateAccountSettingsInput_1 = require("../shapes/UpdateAccountSettingsInput");
var UpdateAccountSettingsOutput_1 = require("../shapes/UpdateAccountSettingsOutput");
var UnauthorizedClientException_1 = require("../shapes/UnauthorizedClientException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var BadRequestException_1 = require("../shapes/BadRequestException");
var ForbiddenException_1 = require("../shapes/ForbiddenException");
var ConflictException_1 = require("../shapes/ConflictException");
var ThrottledClientException_1 = require("../shapes/ThrottledClientException");
var ServiceUnavailableException_1 = require("../shapes/ServiceUnavailableException");
var ServiceFailureException_1 = require("../shapes/ServiceFailureException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdateAccountSettings = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdateAccountSettings",
    http: {
        method: "PUT",
        requestUri: "/accounts/{accountId}/settings"
    },
    input: {
        shape: UpdateAccountSettingsInput_1.UpdateAccountSettingsInput
    },
    output: {
        shape: UpdateAccountSettingsOutput_1.UpdateAccountSettingsOutput
    },
    errors: [
        {
            shape: UnauthorizedClientException_1.UnauthorizedClientException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: ForbiddenException_1.ForbiddenException
        },
        {
            shape: ConflictException_1.ConflictException
        },
        {
            shape: ThrottledClientException_1.ThrottledClientException
        },
        {
            shape: ServiceUnavailableException_1.ServiceUnavailableException
        },
        {
            shape: ServiceFailureException_1.ServiceFailureException
        }
    ]
};
//# sourceMappingURL=UpdateAccountSettings.js.map