"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UpdateBotInput_1 = require("../shapes/UpdateBotInput");
var UpdateBotOutput_1 = require("../shapes/UpdateBotOutput");
var ServiceUnavailableException_1 = require("../shapes/ServiceUnavailableException");
var ServiceFailureException_1 = require("../shapes/ServiceFailureException");
var ForbiddenException_1 = require("../shapes/ForbiddenException");
var BadRequestException_1 = require("../shapes/BadRequestException");
var UnauthorizedClientException_1 = require("../shapes/UnauthorizedClientException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdateBot = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdateBot",
    http: {
        method: "POST",
        requestUri: "/accounts/{accountId}/bots/{botId}"
    },
    input: {
        shape: UpdateBotInput_1.UpdateBotInput
    },
    output: {
        shape: UpdateBotOutput_1.UpdateBotOutput
    },
    errors: [
        {
            shape: ServiceUnavailableException_1.ServiceUnavailableException
        },
        {
            shape: ServiceFailureException_1.ServiceFailureException
        },
        {
            shape: ForbiddenException_1.ForbiddenException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: UnauthorizedClientException_1.UnauthorizedClientException
        },
        {
            shape: NotFoundException_1.NotFoundException
        }
    ]
};
//# sourceMappingURL=UpdateBot.js.map