"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UpdateGlobalSettingsInput_1 = require("../shapes/UpdateGlobalSettingsInput");
var UpdateGlobalSettingsOutput_1 = require("../shapes/UpdateGlobalSettingsOutput");
var UnauthorizedClientException_1 = require("../shapes/UnauthorizedClientException");
var ForbiddenException_1 = require("../shapes/ForbiddenException");
var BadRequestException_1 = require("../shapes/BadRequestException");
var ThrottledClientException_1 = require("../shapes/ThrottledClientException");
var ServiceUnavailableException_1 = require("../shapes/ServiceUnavailableException");
var ServiceFailureException_1 = require("../shapes/ServiceFailureException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdateGlobalSettings = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdateGlobalSettings",
    http: {
        method: "PUT",
        requestUri: "/settings"
    },
    input: {
        shape: UpdateGlobalSettingsInput_1.UpdateGlobalSettingsInput
    },
    output: {
        shape: UpdateGlobalSettingsOutput_1.UpdateGlobalSettingsOutput
    },
    errors: [
        {
            shape: UnauthorizedClientException_1.UnauthorizedClientException
        },
        {
            shape: ForbiddenException_1.ForbiddenException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: ThrottledClientException_1.ThrottledClientException
        },
        {
            shape: ServiceUnavailableException_1.ServiceUnavailableException
        },
        {
            shape: ServiceFailureException_1.ServiceFailureException
        }
    ]
};
//# sourceMappingURL=UpdateGlobalSettings.js.map