"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UpdateUserSettingsInput_1 = require("../shapes/UpdateUserSettingsInput");
var UpdateUserSettingsOutput_1 = require("../shapes/UpdateUserSettingsOutput");
var UnauthorizedClientException_1 = require("../shapes/UnauthorizedClientException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var ForbiddenException_1 = require("../shapes/ForbiddenException");
var BadRequestException_1 = require("../shapes/BadRequestException");
var ThrottledClientException_1 = require("../shapes/ThrottledClientException");
var ServiceUnavailableException_1 = require("../shapes/ServiceUnavailableException");
var ServiceFailureException_1 = require("../shapes/ServiceFailureException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdateUserSettings = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdateUserSettings",
    http: {
        method: "PUT",
        requestUri: "/accounts/{accountId}/users/{userId}/settings"
    },
    input: {
        shape: UpdateUserSettingsInput_1.UpdateUserSettingsInput
    },
    output: {
        shape: UpdateUserSettingsOutput_1.UpdateUserSettingsOutput
    },
    errors: [
        {
            shape: UnauthorizedClientException_1.UnauthorizedClientException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: ForbiddenException_1.ForbiddenException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: ThrottledClientException_1.ThrottledClientException
        },
        {
            shape: ServiceUnavailableException_1.ServiceUnavailableException
        },
        {
            shape: ServiceFailureException_1.ServiceFailureException
        }
    ]
};
//# sourceMappingURL=UpdateUserSettings.js.map