"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UpdateVoiceConnectorInput_1 = require("../shapes/UpdateVoiceConnectorInput");
var UpdateVoiceConnectorOutput_1 = require("../shapes/UpdateVoiceConnectorOutput");
var UnauthorizedClientException_1 = require("../shapes/UnauthorizedClientException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var ForbiddenException_1 = require("../shapes/ForbiddenException");
var BadRequestException_1 = require("../shapes/BadRequestException");
var ThrottledClientException_1 = require("../shapes/ThrottledClientException");
var ServiceUnavailableException_1 = require("../shapes/ServiceUnavailableException");
var ServiceFailureException_1 = require("../shapes/ServiceFailureException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdateVoiceConnector = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdateVoiceConnector",
    http: {
        method: "PUT",
        requestUri: "/voice-connectors/{voiceConnectorId}"
    },
    input: {
        shape: UpdateVoiceConnectorInput_1.UpdateVoiceConnectorInput
    },
    output: {
        shape: UpdateVoiceConnectorOutput_1.UpdateVoiceConnectorOutput
    },
    errors: [
        {
            shape: UnauthorizedClientException_1.UnauthorizedClientException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: ForbiddenException_1.ForbiddenException
        },
        {
            shape: BadRequestException_1.BadRequestException
        },
        {
            shape: ThrottledClientException_1.ThrottledClientException
        },
        {
            shape: ServiceUnavailableException_1.ServiceUnavailableException
        },
        {
            shape: ServiceFailureException_1.ServiceFailureException
        }
    ]
};
//# sourceMappingURL=UpdateVoiceConnector.js.map