import { NodeHttpOptions as __HttpOptions__ } from "@aws-sdk/types";
import * as __aws_sdk_types from "@aws-sdk/types";
/**
 * SearchAvailablePhoneNumbersInput shape
 */
export interface SearchAvailablePhoneNumbersInput {
    /**
     * <p>The area code used to filter results.</p>
     */
    AreaCode?: string;
    /**
     * <p>The city used to filter results.</p>
     */
    City?: string;
    /**
     * <p>The country used to filter results.</p>
     */
    Country?: string;
    /**
     * <p>The state used to filter results.</p>
     */
    State?: string;
    /**
     * <p>The toll-free prefix that you use to filter results.</p>
     */
    TollFreePrefix?: string;
    /**
     * <p>The maximum number of results to return in a single call.</p>
     */
    MaxResults?: number;
    /**
     * <p>The token to use to retrieve the next page of results.</p>
     */
    NextToken?: string;
    /**
     * The maximum number of times this operation should be retried. If set, this value will override the `maxRetries` configuration set on the client for this command.
     */
    $maxRetries?: number;
    /**
     * An object that may be queried to determine if the underlying operation has been aborted.
     *
     * @see https://developer.mozilla.org/en-US/docs/Web/API/AbortSignal
     */
    $abortSignal?: __aws_sdk_types.AbortSignal;
    /**
     * Per-request HTTP configuration options. If set, any options specified will override the corresponding HTTP option set on the client for this command.
     */
    $httpOptions?: __HttpOptions__;
}
