/**
 * <p>Settings related to the Amazon Chime account. This includes settings that start or stop remote control of shared screens, or start or stop the dial-out option in the Amazon Chime web application. For more information about these settings, see <a href="https://docs.aws.amazon.com/chime/latest/ag/policies.html">Use the Policies Page</a> in the <i>Amazon Chime Administration Guide</i>.</p>
 */
export interface _AccountSettings {
    /**
     * <p>Setting that stops or starts remote control of shared screens during meetings.</p>
     */
    DisableRemoteControl?: boolean;
    /**
     * <p>Setting that allows meeting participants to choose the <b>Call me at a phone number</b> option. For more information, see <a href="https://docs.aws.amazon.com/chime/latest/ug/chime-join-meeting.html">Join a Meeting without the Amazon Chime App</a>.</p>
     */
    EnableDialOut?: boolean;
}
export declare type _UnmarshalledAccountSettings = _AccountSettings;
