/**
 * <p>The phone number capabilities, such as enabled inbound and outbound calling and text messaging.</p>
 */
export interface _PhoneNumberCapabilities {
    /**
     * <p>Allows or denies inbound calling for the specified phone number.</p>
     */
    InboundCall?: boolean;
    /**
     * <p>Allows or denies outbound calling for the specified phone number.</p>
     */
    OutboundCall?: boolean;
    /**
     * <p>Allows or denies inbound SMS messaging for the specified phone number.</p>
     */
    InboundSMS?: boolean;
    /**
     * <p>Allows or denies outbound SMS messaging for the specified phone number.</p>
     */
    OutboundSMS?: boolean;
    /**
     * <p>Allows or denies inbound MMS messaging for the specified phone number.</p>
     */
    InboundMMS?: boolean;
    /**
     * <p>Allows or denies outbound MMS messaging for the specified phone number.</p>
     */
    OutboundMMS?: boolean;
}
export declare type _UnmarshalledPhoneNumberCapabilities = _PhoneNumberCapabilities;
